################################################################################################
#
# Advent Calendar
#
################################################################################################


################################################################# General ################################################################


scoreboard objectives add rc minecraft.used:minecraft.carrot_on_a_stick
scoreboard objectives add sneak minecraft.custom:minecraft.sneak_time
scoreboard objectives add talk minecraft.custom:minecraft.talked_to_villager
scoreboard objectives add walk minecraft.custom:minecraft.walk_one_cm
scoreboard objectives add sprint minecraft.custom:minecraft.sprint_one_cm
scoreboard objectives add crouch minecraft.custom:minecraft.crouch_one_cm
scoreboard objectives add jump minecraft.custom:minecraft.jump
scoreboard objectives add ET dummy
scoreboard objectives add r dummy


gamerule logAdminCommands false
gamerule sendCommandFeedback false
gamerule commandBlockOutput false

team add nocoll
team empty nocoll
team modify nocoll seeFriendlyInvisibles false
team modify nocoll collisionRule never

scoreboard players set @e ET 1
scoreboard players set @e[type=item] ET 0
scoreboard players set @e[type=armor_stand] ET 0
scoreboard players set @e[type=end_crystal] ET 0
scoreboard players set @e[type=snowball] ET 0
scoreboard players set @e[type=area_effect_cloud] ET 0
scoreboard players set @e[type=boat] ET 0
scoreboard players set @e[type=arrow] ET 0
scoreboard players set @e[type=painting] ET 0
scoreboard players set @e[type=player] ET 0
scoreboard players set @e[type=arrow] ET 0
scoreboard players set @e[type=minecart] ET 0
scoreboard players set @e[type=experience_orb] ET 0
scoreboard players set @e[type=zombie] ET 2
scoreboard players set @e[type=zombie_villager] ET 2
scoreboard players set @e[type=zombie_horse] ET 2
scoreboard players set @e[type=zombie_pigman] ET 2
scoreboard players set @e[type=wither_skeleton] ET 2
scoreboard players set @e[type=husk] ET 2
scoreboard players set @e[type=skeleton] ET 2
scoreboard players set @e[type=stray] ET 2


################################################################# 1. present  ################################################################


give @a[tag=give1] minecraft:endermite_spawn_egg{display:{Name:"{\"text\":\"§4§lPresent\"}",Lore:["Place on the ground!", "Items in a 0.5 block radius will be put into the present!","Rightclick to open it!"]},EntityTag:{id:"minecraft:endermite",Tags:["sp1","sp"]},HideFlags:63}
tag @a remove give1

execute at @e[tag=sp1] align xyz run summon area_effect_cloud ~0.5 ~0.5 ~0.5 {Tags:["present_spawn","present_spawn1"]}
execute at @e[tag=sp1] align xyz run summon area_effect_cloud ~0.5 ~0.5 ~0.5 {Tags:["present_spawn","present_spawn2"]}
execute at @e[tag=sp1] align xyz run summon area_effect_cloud ~0.5 ~0.5 ~0.5 {Tags:["present_spawn","present_spawn3"]}
execute at @e[tag=sp1] align xyz run summon area_effect_cloud ~0.5 ~0.5 ~0.5 {Tags:["present_spawn","present_spawn4"]}
execute at @e[tag=present] run kill @e[tag=present_spawn,distance=..0.5]
execute as @e[tag=sp1] run data merge entity @s {DeathTime:19,Health:0}

scoreboard players set @e[tag=present_spawn,sort=random,limit=1] r 1
execute at @e[tag=present_spawn1,scores={r=1}] run summon armor_stand ~ ~ ~ {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:3},Count:1}],Invisible:1,NoGravity:1,Marker:1,Tags:["present"],DisabledSlots:4144959}
execute at @e[tag=present_spawn2,scores={r=1}] run summon armor_stand ~ ~ ~ {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:4},Count:1}],Invisible:1,NoGravity:1,Marker:1,Tags:["present"],DisabledSlots:4144959}
execute at @e[tag=present_spawn3,scores={r=1}] run summon armor_stand ~ ~ ~ {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:5},Count:1}],Invisible:1,NoGravity:1,Marker:1,Tags:["present"],DisabledSlots:4144959}
execute at @e[tag=present_spawn4,scores={r=1}] run summon armor_stand ~ ~ ~ {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:6},Count:1}],Invisible:1,NoGravity:1,Marker:1,Tags:["present"],DisabledSlots:4144959}
execute at @e[tag=present_spawn] run tag @e[type=item,distance=..0.8] add present_item
execute at @e[tag=present_spawn] run tp @e[tag=present_item,distance=..0.8] ~ ~-0.5 ~ 
execute at @e[tag=present_spawn] run execute as @e[tag=present_item] run data merge entity @s {PickupDelay:-1,Age:-32768,NoGravity:1}
execute at @e[tag=present_spawn,scores={r=1}] run summon villager ~ ~-0.5 ~ {Tags:["present_villager","iv"],NoGravity:1,NoAI:1,Offers:{},Invulnerable:1,Silent:1,Team:"nocoll"}

execute at @a[scores={talk=1..}] positioned ^ ^ ^1 run tag @e[tag=present,distance=..1.5,limit=1,sort=nearest] add open_present
execute as @e[tag=open_present] at @s run scoreboard players set @a talk 0
execute as @e[tag=open_present] at @s run execute as @e[tag=present_item,distance=..0.8] run data merge entity @s {PickupDelay:10,NoGravity:0}
execute as @e[tag=open_present] at @s run tag @e[tag=present_item,distance=..0.8] remove present_item
execute as @e[tag=open_present] at @s run execute as @e[tag=present_villager,distance=..0.8] run data merge entity @s {DeathTime:19,Health:0}
execute as @e[tag=open_present] at @s run summon firework_rocket ~ ~ ~ {Life:0,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:0,Colors:[I;16711680,16732680],FadeColors:[I;16750848,16764165]}]}}}}
kill @e[tag=open_present] 
team join nocoll @a

effect give @e[tag=iv] invisibility 99 9 true

################################################################# 2. icicles ################################################################

give @a[tag=give2] minecraft:endermite_spawn_egg{display:{Name:"{\"text\":\"§9§lIcicle\"}",Lore:["Rightclick a ceiling to place!","Icicle will drop onto mobs 10 blocks underneath!"]},EntityTag:{id:"minecraft:endermite",Tags:["sp2","sp"]},HideFlags:63}
tag @a remove give2

execute at @e[tag=sp2] align xyz run summon area_effect_cloud ~0.5 ~0.5 ~0.5 {Tags:["icicle_spawn","icicle_spawn1"]}
execute at @e[tag=sp2] align xyz run summon area_effect_cloud ~0.5 ~0.5 ~0.5 {Tags:["icicle_spawn","icicle_spawn2"]}
execute at @e[tag=sp2] align xyz run summon area_effect_cloud ~0.5 ~0.5 ~0.5 {Tags:["icicle_spawn","icicle_spawn3"]}
execute at @e[tag=icicle] run kill @e[tag=icicle_spawn,distance=..0.5]
execute as @e[tag=sp2] run data merge entity @s {DeathTime:19,Health:0}

scoreboard players set @e[tag=icicle_spawn,sort=random,limit=1] r 1
execute at @e[tag=icicle_spawn1,scores={r=1}] run summon armor_stand ~ ~ ~ {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:15},Count:1}],Invisible:1,NoGravity:1,Marker:1,Tags:[icicle],DisabledSlots:4144959}
execute at @e[tag=icicle_spawn2,scores={r=1}] run summon armor_stand ~ ~ ~ {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:16},Count:1}],Invisible:1,NoGravity:1,Marker:1,Tags:[icicle],DisabledSlots:4144959}
execute at @e[tag=icicle_spawn3,scores={r=1}] run summon armor_stand ~ ~ ~ {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:17},Count:1}],Invisible:1,NoGravity:1,Marker:1,Tags:[icicle],DisabledSlots:4144959}

execute as @e[tag=icicle,nbt={NoGravity:1b}] at @s if block ~ ~1 ~ air run kill @s 
execute as @e[tag=icicle,nbt={NoGravity:1b}] at @s positioned ~-0.5 ~ ~-0.5 run execute at @e[scores={ET=1..2},dx=0,dz=0,dy=-10] run data merge entity @s {NoGravity:0b} 

execute as @e[tag=icicle,nbt={OnGround:1b}] at @s run particle block ice ~ ~ ~ 0.2 0.2 0.2 0.1 20 force
execute as @e[tag=icicle,nbt={OnGround:1b}] at @s run effect give @e[scores={ET=1},distance=..1] instant_damage 1 2 true 
execute as @e[tag=icicle,nbt={OnGround:1b}] at @s run effect give @e[scores={ET=2},distance=..1] instant_health 1 2 true 
execute as @e[tag=icicle,nbt={OnGround:1b}] at @s run playsound minecraft:block.glass.break master @a
execute as @e[tag=icicle,nbt={OnGround:1b}] at @s run kill @s 

################################################################# 3. ugly christmas sweater ################################################################

give @a[tag=give3] minecraft:leather_chestplate{display:{Name:"{\"text\":\"§7§lChristmas Sweater\"}"},HideFlags:63} 1
tag @a remove give3
effect give @a[nbt={Inventory:[{id:"minecraft:leather_chestplate",Slot:102b,tag:{HideFlags:63}}]}] luck 2 2 true


################################################################# 4. ice skating ################################################################

scoreboard objectives add spin_timer dummy

give @a[tag=give4] minecraft:leather_boots{display:{Name:"{\"text\":\"§9§lIce Skating Shoes\"}",color:382463},HideFlags:63,Enchantments:[{}]} 1
tag @a remove give4

tag @a[tag=on_ice] remove on_ice
execute as @a[nbt={Inventory:[{id:"minecraft:leather_boots",Slot:100b,tag:{HideFlags:63}}]}] at @s if block ~ ~-1 ~ packed_ice run tag @s add on_ice
execute as @a[nbt={Inventory:[{id:"minecraft:leather_boots",Slot:100b,tag:{HideFlags:63}}]}] at @s if block ~ ~-1 ~ ice run tag @s add on_ice
execute as @a[nbt={Inventory:[{id:"minecraft:leather_boots",Slot:100b,tag:{HideFlags:63}}]}] at @s if block ~ ~-1 ~ blue_ice run tag @s add on_ice

scoreboard players add @a spin_timer 0
effect give @a[tag=on_ice] speed 1 3 true
execute as @a[tag=on_ice] at @s run particle block ice ~ ~ ~ 0.2 0 0.2 0.03 1 force

effect give @a[tag=on_ice,scores={spin_timer=0,sneak=1..}] jump_boost 1 2 true
effect clear @a[tag=on_ice,scores={spin_timer=2}] jump_boost

scoreboard players add @a[tag=on_ice,scores={spin_timer=0,jump=1,sneak=1..}] spin_timer 1

scoreboard players add @a[scores={spin_timer=1..}] spin_timer 1
scoreboard players set @a[scores={spin_timer=18..}] spin_timer 0
execute as @a[scores={spin_timer=1..}] at @s run tp @s ~ ~ ~ ~22.5 ~



################################################################# 5. krampus staff ################################################################

scoreboard objectives add staff_cd dummy

scoreboard players add @a staff_cd 0


give @a[tag=give5] minecraft:carrot_on_a_stick{display:{Name:"{\"text\":\"§4§lKrampus Stick\"}",Lore:["Rightclick to pull in mobs!","Sneak & rightclick to dash!"]},Unbreakable:1b,Damage:4,HideFlags:63,AttributeModifiers:[{AttributeName:"generic.attackDamage",Name:"generic.attackDamage",Amount:10,Operation:0,UUIDLeast:527442,UUIDMost:311599}],Enchantments:[{id:"minecraft:knockback",lvl:10}]} 1
tag @a remove give5
effect give @a[nbt={Inventory:[{id:"minecraft:leather_chestplate",Slot:102b,tag:{HideFlags:63}}]}] luck 2 2 true


execute as @a[scores={staff_cd=0,rc=1..,sneak=0},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Damage:4}}}] at @s positioned ^ ^ ^5 run tag @e[scores={ET=1..2},limit=1,sort=nearest,distance=..7] add pull_mob
execute as @a[scores={staff_cd=0,rc=1..,sneak=0},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Damage:4}}}] at @s run tp @e[tag=pull_mob] ^ ^1 ^1.5 
execute as @a[scores={staff_cd=0,rc=1..,sneak=0},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Damage:4}}}] at @s run tag @e[tag=pull_mob] remove pull_mob

execute as @a[scores={staff_cd=0,rc=1..,sneak=1..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Damage:4}}}] at @s run tag @s add dash

scoreboard players set @a[scores={staff_cd=0,rc=1..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Damage:4}}}] staff_cd 20
scoreboard players remove @a[scores={staff_cd=1..}] staff_cd 1
effect give @a[scores={staff_cd=11..19},tag=dash] levitation 1 255 true
execute as @a[scores={staff_cd=11..19},tag=dash] at @s run effect give @e[scores={ET=1},distance=..2] instant_damage 1 2 true
execute as @a[scores={staff_cd=11..19},tag=dash] at @s run effect give @e[scores={ET=2},distance=..2] instant_health 1 2 true
execute as @a[scores={staff_cd=11..19},tag=dash] at @s run
execute as @a[scores={staff_cd=11..19},tag=dash] at @s run
execute as @a[scores={staff_cd=11..19},tag=dash] at @s if block ^ ^0.05 ^0.9 grass run tp @s ^ ^ ^1.0
execute as @a[scores={staff_cd=11..19},tag=dash] at @s if block ^ ^0.05 ^0.9 tall_grass run tp @s ^ ^ ^1.0
execute as @a[scores={staff_cd=11..19},tag=dash] at @s if block ^ ^0.05 ^0.9 air run tp @s ^ ^ ^1.0
execute as @a[scores={staff_cd=11..19},tag=dash] at @s if block ^ ^0.05 ^0.9 cave_air run tp @s ^ ^ ^1.0
effect clear @a[scores={staff_cd=10},tag=dash] levitation
tag @a[scores={staff_cd=10},tag=dash] remove dash




################################################################# 6. mistletoe ################################################################

scoreboard objectives add love_cd dummy

give @a[tag=give6] minecraft:endermite_spawn_egg{display:{Name:"{\"text\":\"§c§lMistletoe\"}",Lore:["Place on a ceiling!"]},EntityTag:{id:"minecraft:endermite",Tags:["sp6","sp"]},HideFlags:63}
tag @a remove give6

execute at @e[tag=sp6] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:13},Count:1}],Invisible:1,NoGravity:1,Marker:1,Tags:[mistletoe]}
execute as @e[tag=sp6] run data merge entity @s {DeathTime:19,Health:0}


execute as @e[tag=mistletoe] at @s if block ~ ~1 ~ air run kill @s 

execute as @e[tag=mistletoe] at @s positioned ~-2 ~ ~-2 run execute at @a[dy=-10,dx=3,dz=3] run particle heart ~ ~0.5 ~ 0.2 0.3 0.2 0.9 1 force
execute as @e[tag=mistletoe] at @s positioned ~-2 ~ ~-2 run execute at @e[scores={ET=1,love_cd=100..},dy=-10,dx=3,dz=3] run particle heart ~ ~0.5 ~ 0.2 0.3 0.2 0.9 1 force
scoreboard players add @e[scores={ET=1}] love_cd 0
scoreboard players add @a love_cd 0
execute as @e[tag=mistletoe] at @s positioned ~-2 ~ ~-2 run scoreboard players set @e[scores={ET=1,love_cd=0},dy=-10,dx=3,dz=3,nbt={Age:0}] love_cd 200 
execute as @e[tag=mistletoe] at @s positioned ~-2 ~ ~-2 run scoreboard players set @a[scores={love_cd=0},dy=-10,dx=3,dz=3] love_cd 40 
scoreboard players remove @e[scores={love_cd=1..}] love_cd 1
execute as @e[scores={love_cd=100..200}] run data merge entity @s {InLove:1} 
effect give @a[scores={love_cd=35..}] regeneration 2 1 true





################################################################# 7. christmas lights ################################################################

scoreboard objectives add light_setup dummy



give @a[tag=give7] minecraft:endermite_spawn_egg{display:{Name:"{\"text\":\"§c§lChristmas Light\"}",Lore:["Place 2 points in a 20 block radius!","Drop gunpowder to remove lights!"]},EntityTag:{id:"minecraft:endermite",Tags:["sp8","sp"]},HideFlags:63}
tag @a remove give7

execute at @e[tag=sp8] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {NoGravity:1,Tags:["light1_init"],Invisible:1,Marker:1}
execute at @e[tag=sp8] run kill @e[tag=light1_init,distance=21..]
execute at @e[tag=sp8] run tag @e[tag=light1_init,distance=1..20] add light2_init
tag @e[tag=light2_init] remove light1_init
execute at @e[tag=light2_init] run tag @e[tag=light1_init,distance=1..20] add light_setup1
execute at @e[tag=light2_init] run tag @e[tag=light1_init,distance=1..20] add light1
execute at @e[tag=light2_init] run tag @e[tag=light1_init,distance=1..20] remove light1_init
tag @e[tag=light2_init] add light_setup2
tag @e[tag=light2_init] add light2
tag @e[tag=light2] remove light2_init



execute as @e[tag=sp8] run data merge entity @s {DeathTime:19,Health:0}

execute at @e[tag=light_setup2] run summon armor_stand ~ ~ ~ {NoGravity:1,Tags:["light_travel"],Invisible:1,Marker:1}
execute at @e[tag=light_setup2] run execute as @e[tag=light_travel] at @s run tp @s ~ ~ ~ facing entity @e[tag=light_setup1,limit=1]
execute at @e[tag=light_setup2] run execute as @e[tag=light_travel] at @s run tp @s ^ ^ ^0.3
execute at @e[tag=light_setup2] run tag @e[tag=light_setup1] remove light_setup1
tag @e[tag=light_setup2] remove light_setup2

scoreboard players add @e[tag=light_travel] light_setup 1
scoreboard players set @e[tag=light_travel,scores={light_setup=3..}] light_setup 0
execute as @e[tag=light_travel,scores={light_setup=0}] at @s run summon armor_stand ~ ~ ~ {NoGravity:1,Tags:["light_bulb","light_bulb1"],Invisible:1,Marker:1}
execute as @e[tag=light_travel,scores={light_setup=1}] at @s run summon armor_stand ~ ~ ~ {NoGravity:1,Tags:["light_bulb","light_bulb2"],Invisible:1,Marker:1}
execute as @e[tag=light_travel,scores={light_setup=2}] at @s run summon armor_stand ~ ~ ~ {NoGravity:1,Tags:["light_bulb","light_bulb3"],Invisible:1,Marker:1}
execute as @e[tag=light1] at @s run kill @e[tag=light_travel,distance=..0.6] 

execute at @e[tag=light_bulb1] run particle dust 1.0 0.1 0.1 1 ^ ^ ^ 0 0 0 0.1 1
execute at @e[tag=light_bulb2] run particle dust 0.1 1.0 0.1 1 ^ ^ ^ 0 0 0 0.1 1
execute at @e[tag=light_bulb3] run particle dust 0.1 0.1 1.0 1 ^ ^ ^ 0 0 0 0.1 1
execute as @e[tag=light_travel] at @s run tp @s ^ ^ ^1 


execute at @e[type=item,nbt={Item:{id:"minecraft:gunpowder"}}] run tag @e[tag=light_bulb,distance=..2] add kill_bulb

execute as @e[tag=kill_bulb] at @s run tag @e[tag=light_bulb,distance=..1.2] add kill_next
execute as @e[tag=kill_bulb] at @s run kill @e[tag=light1,distance=..2]
execute as @e[tag=kill_bulb] at @s run kill @e[tag=light2,distance=..2]
execute as @e[tag=kill_bulb] at @s run kill @e[type=item,nbt={Item:{id:"minecraft:gunpowder"}},distance=..2,limit=1,sort=nearest]
execute as @e[tag=kill_bulb] at @s run particle large_smoke ~ ~ ~ 0.1 0.1 0.1 0.05 4 force
kill @e[tag=kill_bulb]
tag @e[tag=kill_next] add kill_bulb


################################################################# 8. stockings ################################################################

scoreboard objectives add stocking_pos dummy

give @a[tag=give8] minecraft:endermite_spawn_egg{display:{Name:"{\"text\":\"§e§lStockings\"}",Lore:["Place on a wall!","Rightclick for a random item!"]},EntityTag:{id:"minecraft:endermite",Tags:["sp7","sp"]},HideFlags:63}
tag @a remove give8

execute at @e[tag=sp7] align xyz run summon area_effect_cloud ~0.5 ~0.5 ~0.5 {Tags:[stocking_spawn]}
execute as @e[tag=sp7] run data merge entity @s {DeathTime:19,Health:0}

execute as @e[tag=stocking_spawn] at @s unless block ~1 ~ ~ air run scoreboard players set @s stocking_pos 1
execute as @e[tag=stocking_spawn] at @s unless block ~-1 ~ ~ air run scoreboard players set @s stocking_pos 2
execute as @e[tag=stocking_spawn] at @s unless block ~ ~ ~-1 air run scoreboard players set @s stocking_pos 3
execute as @e[tag=stocking_spawn] at @s unless block ~ ~ ~1 air run scoreboard players set @s stocking_pos 4

execute at @e[tag=stocking_spawn] run summon villager ~ ~-0.5 ~ {Tags:["stocking_villager","iv"],NoGravity:1,NoAI:1,Offers:{},Invulnerable:1,Silent:1,Team:"nocoll"}


execute at @e[tag=stocking_spawn,scores={stocking_pos=1}] run summon armor_stand ~ ~ ~ {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:18},Count:1}],Invisible:1,NoGravity:1,Tags:["stocking1","stocking"],Rotation:[0f],Marker:1,DisabledSlots:4144959}

execute at @e[tag=stocking_spawn,scores={stocking_pos=2}] run summon armor_stand ~ ~ ~ {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:18},Count:1}],Invisible:1,NoGravity:1,Tags:["stocking2","stocking"],Rotation:[180f],Marker:1,DisabledSlots:4144959}

execute at @e[tag=stocking_spawn,scores={stocking_pos=3}] run summon armor_stand ~ ~ ~ {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:18},Count:1}],Invisible:1,NoGravity:1,Tags:["stocking3","stocking"],Rotation:[-90f],Marker:1,DisabledSlots:4144959}

execute at @e[tag=stocking_spawn,scores={stocking_pos=4}] run summon armor_stand ~ ~ ~ {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:18},Count:1}],Invisible:1,NoGravity:1,Tags:["stocking4","stocking"],Rotation:[90f],Marker:1,DisabledSlots:4144959}


effect give @e[tag=iv] invisibility 99 9 true


execute at @a[scores={talk=1..}] positioned ^ ^ ^1 run tag @e[tag=stocking,distance=..2,limit=1,sort=nearest] add open_stocking
execute as @e[tag=open_stocking] at @s run execute as @e[tag=stocking_villager,distance=..0.8] run data merge entity @s {DeathTime:19,Health:0}
execute as @e[tag=open_stocking] at @s run summon firework_rocket ~ ~ ~ {Life:0,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:0,Colors:[I;16711680,16732680],FadeColors:[I;16750848,16764165]}]}}}}
execute as @e[tag=open_stocking] at @s run summon area_effect_cloud ~ ~ ~ {Tags:["si","si1"]}
execute as @e[tag=open_stocking] at @s run summon area_effect_cloud ~ ~ ~ {Tags:["si","si2"]}
execute as @e[tag=open_stocking] at @s run summon area_effect_cloud ~ ~ ~ {Tags:["si","si3"]}
execute as @e[tag=open_stocking] at @s run summon area_effect_cloud ~ ~ ~ {Tags:["si","si4"]}
execute as @e[tag=open_stocking] at @s run summon area_effect_cloud ~ ~ ~ {Tags:["si","si5"]}
execute as @e[tag=open_stocking] at @s run summon area_effect_cloud ~ ~ ~ {Tags:["si","si6"]}
execute as @e[tag=open_stocking] at @s run scoreboard players set @e[sort=random,tag=si,limit=1] r 1
execute as @e[tag=open_stocking] at @s run execute at @e[tag=si1,scores={r=1}] run summon item ~ ~ ~ {Item:{id:"minecraft:diamond",Count:1b}}
execute as @e[tag=open_stocking] at @s run execute at @e[tag=si2,scores={r=1}] run summon item ~ ~ ~ {Item:{id:"minecraft:coal",Count:1b}}
execute as @e[tag=open_stocking] at @s run execute at @e[tag=si3,scores={r=1}] run summon item ~ ~ ~ {Item:{id:"minecraft:enchanted_golden_apple",Count:1b}}
execute as @e[tag=open_stocking] at @s run execute at @e[tag=si4,scores={r=1}] run summon item ~ ~ ~ {Item:{id:"minecraft:dead_bush",Count:1b}}
execute as @e[tag=open_stocking] at @s run execute at @e[tag=si5,scores={r=1}] run summon item ~ ~ ~ {Item:{id:"minecraft:poisonous_potato",Count:1b}}
execute as @e[tag=open_stocking] at @s run execute at @e[tag=si6,scores={r=1}] run summon item ~ ~ ~ {Item:{id:"minecraft:nether_star",Count:1b}}
kill @e[tag=open_stocking] 


execute as @e[tag=stocking1] at @s if block ~1 ~ ~ air run execute as @e[tag=stocking_villager,distance=..0.8,limit=1,sort=nearest] run data merge entity @s {DeathTime:19,Health:0}
execute as @e[tag=stocking1] at @s if block ~1 ~ ~ air run kill @s
execute as @e[tag=stocking2] at @s if block ~-1 ~ ~ air run execute as @e[tag=stocking_villager,distance=..0.8,limit=1,sort=nearest] run data merge entity @s {DeathTime:19,Health:0} 
execute as @e[tag=stocking2] at @s if block ~-1 ~ ~ air run kill @s 
execute as @e[tag=stocking3] at @s if block ~ ~ ~-1 air run execute as @e[tag=stocking_villager,distance=..0.8,limit=1,sort=nearest] run data merge entity @s {DeathTime:19,Health:0}
execute as @e[tag=stocking3] at @s if block ~ ~ ~-1 air run kill @s 
execute as @e[tag=stocking4] at @s if block ~ ~ ~1 air run execute as @e[tag=stocking_villager,distance=..0.8,limit=1,sort=nearest] run data merge entity @s {DeathTime:19,Health:0}
execute as @e[tag=stocking4] at @s if block ~ ~ ~1 air run kill @s 



################################################################# 9. sleigh ################################################################

scoreboard objectives add x dummy
scoreboard objectives add z dummy
scoreboard objectives add sleigh_rot dummy
scoreboard objectives add sleigh_mot dummy

give @a[tag=give9] minecraft:endermite_spawn_egg{display:{Name:"{\"text\":\"§6§lSleigh\"}",Lore:["Rightclick to place it!","Rightclick it to get on!","Sleigh moves forward on snow!","Drop a torch onto sleigh to destroy it!"]},EntityTag:{id:"minecraft:endermite",Tags:["sp9","sp"]},HideFlags:63}
tag @a remove give9

execute at @e[tag=sp9] align xyz run summon pig ~0.5 ~ ~0.5 {Saddle:1,NoAI:1,Silent:1,Tags:["sleigh_horse"],Invulnerable:1,PersistenceRequired:1}
execute at @e[tag=sp9] align xyz run summon armor_stand ~0.5 ~ ~0.5 {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:14},Count:1}],Invisible:1,Tags:[sleigh_as],Marker:1,DisabledSlots:4144959}
execute at @e[tag=sp9] align xyz run summon armor_stand ~0.5 ~ ~0.5 {Invisible:1,NoGravity:1,Tags:[sleigh_as_dir],Marker:1,DisabledSlots:4144959}
effect give @e[tag=sleigh_horse] invisibility 99 9 true

execute as @e[tag=sp9] run data merge entity @s {DeathTime:19,Health:0}
execute as @e[tag=sleigh_as] at @s run tp @e[tag=sleigh_horse,limit=1,sort=nearest] @s
execute as @e[tag=sleigh_as] at @s run tp @e[tag=sleigh_as_dir,limit=1,sort=nearest] @s
execute as @e[tag=sleigh_as_dir] at @s run tp @s ^ ^ ^-0.001
execute as @e[tag=sleigh_as] at @s run execute as @e[tag=sleigh_horse,distance=..2,sort=nearest,limit=1] at @s run tp @s ~ ~-0.4 ~

tag @e[tag=on_snow] remove on_snow
execute as @e[tag=sleigh_horse] at @s if block ~ ~-0.2 ~ snow run tag @s add on_snow
execute as @e[tag=sleigh_horse] at @s if block ~ ~-0.2 ~ snow_block run tag @s add on_snow

execute as @a store result score @s sleigh_rot run data get entity @s Rotation[0] 1
execute as @e[tag=sleigh_horse,tag=on_snow] at @s run scoreboard players operation @s sleigh_rot = @p[nbt={RootVehicle:{Entity:{id:"minecraft:pig",Tags:["on_snow"]}}}] sleigh_rot
execute as @a[nbt={RootVehicle:{Entity:{id:"minecraft:pig",Tags:["on_snow"]}}}] at @s run execute as @e[tag=sleigh_horse,tag=on_snow,limit=1,sort=nearest] run execute store result entity @s Rotation[0] float 1 run scoreboard players get @s sleigh_rot
execute as @a[nbt={RootVehicle:{Entity:{id:"minecraft:pig",Tags:["on_snow"]}}}] at @s run execute as @e[tag=sleigh_as,limit=1,sort=nearest] run execute store result entity @s Rotation[0] float 1 run scoreboard players get @e[tag=sleigh_horse,tag=on_snow,limit=1,sort=nearest] sleigh_rot

execute as @e[tag=sleigh_as] at @s run execute as @s store result score @s x run data get entity @s Pos[0] 1000000
execute as @e[tag=sleigh_as] at @s run execute as @s store result score @s z run data get entity @s Pos[2] 1000000

execute as @e[tag=sleigh_as_dir] at @s run execute as @s store result score @s x run data get entity @s Pos[0] 1000000
execute as @e[tag=sleigh_as_dir] at @s run execute as @s store result score @s z run data get entity @s Pos[2] 1000000

execute as @e[tag=sleigh_as] at @s run scoreboard players operation @s x -= @e[tag=sleigh_as_dir,limit=1,sort=nearest] x
execute as @e[tag=sleigh_as] at @s run scoreboard players operation @s z -= @e[tag=sleigh_as_dir,limit=1,sort=nearest] z
#scoreboard players add @a sleigh_mot 1
#scoreboard players set @a[scores={sleigh_mot=2..}] sleigh_mot 0

execute as @a[nbt={RootVehicle:{Entity:{id:"minecraft:pig",Tags:["on_snow"]}}}] at @s run fill ~-2 ~-1 ~-2 ~2 ~1 ~2 air replace cave_air

tag @e[tag=sleigh_free] remove sleigh_free
execute as @e[tag=sleigh_as] at @s run tp @s ~ ~ ~ ~ 0
execute as @e[tag=sleigh_as] at @s if block ^ ^ ^2 air run tag @s add sleigh_free
execute as @e[tag=sleigh_as] at @s if block ~ ~-0.2 ~ air run tp @s ~ ~-0.2 ~ 
execute as @e[tag=sleigh_as] at @s if block ~ ~ ~ snow run tag @s add sleigh_free

execute as @a[nbt={RootVehicle:{Entity:{id:"minecraft:pig",Tags:["on_snow"]}}}] at @s run execute as @e[tag=sleigh_as,limit=1,sort=nearest,distance=..2,tag=sleigh_free] at @s run execute store result entity @s Motion[0] double 0.0005 run scoreboard players get @s x
execute as @a[nbt={RootVehicle:{Entity:{id:"minecraft:pig",Tags:["on_snow"]}}}] at @s run execute as @e[tag=sleigh_as,limit=1,sort=nearest,distance=..2,tag=sleigh_free] at @s run execute store result entity @s Motion[2] double 0.0005 run scoreboard players get @s z

execute at @e[type=item,nbt={Item:{id:"minecraft:torch"}}] run tag @e[tag=sleigh_as,distance=..2] add sleigh_destroy
execute as @e[tag=sleigh_destroy] at @s run kill @e[tag=sleigh_as_dir,limit=1,sort=nearest]
execute as @e[tag=sleigh_destroy] at @s run kill @e[type=item,nbt={Item:{id:"minecraft:torch"}},limit=1,sort=nearest]
execute as @e[tag=sleigh_destroy] at @s run data merge entity @e[tag=sleigh_horse,limit=1,sort=nearest] {DeathTime:19,Health:0}
execute as @e[tag=sleigh_destroy] at @s run particle flame ~ ~0.3 ~ 0.3 0.3 0.3 0.05 30
kill @e[tag=sleigh_destroy]





################################################################# 10. gingerbread house ################################################################

give @a[tag=give10] minecraft:endermite_spawn_egg{display:{Name:"{\"text\":\"§6§lGingerbread House\"}",Lore:["Place on the floor!"]},EntityTag:{id:"minecraft:endermite",Tags:["sp10","sp"]},HideFlags:63}
tag @a remove give10



execute at @e[tag=sp10] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:19},Count:1}],Invisible:1,NoGravity:1,Marker:1,Tags:[house],DisabledSlots:4144959}
execute as @e[tag=sp10] run data merge entity @s {DeathTime:19,Health:0}
execute as @e[tag=house] at @s if block ~ ~-1 ~ air run kill @s 


execute at @e[tag=house] if block ~ ~-1 ~ diamond_block run tp @e[scores={ET=1..2},distance=4..20,tag=!sp,tag=!iv,tag=!sleigh_horse] ~ ~0.1 ~1 

################################################################# 11. bell ################################################################

scoreboard objectives add bell_timer dummy

give @a[tag=give11] minecraft:endermite_spawn_egg{display:{Name:"{\"text\":\"§6§lBell\"}",Lore:["Place on a ceiling!","Rightclick to activate it!"]},EntityTag:{id:"minecraft:endermite",Tags:["sp11","sp"]},HideFlags:63}
tag @a remove give11

execute at @e[tag=sp11] align xyz run summon villager ~0.5 ~-0.5 ~0.5 {Tags:["bell_villager","iv"],NoGravity:1,NoAI:1,Offers:{},Invulnerable:1,Silent:1,Team:"nocoll"}
execute at @e[tag=sp11] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:20},Count:1}],Invisible:1,NoGravity:1,Marker:1,Tags:[bell],DisabledSlots:4144959}
execute as @e[tag=sp11] run data merge entity @s {DeathTime:19,Health:0}



execute as @e[tag=bell] at @s if block ~ ~1 ~ air run data merge entity @e[tag=bell_villager,limit=1,sort=nearest] {DeathTime:19,Health:0} 
execute as @e[tag=bell] at @s if block ~ ~1 ~ air run kill @s 

effect give @e[tag=iv] invisibility 99 9 true

scoreboard players add @e[tag=bell] bell_timer 0

execute at @a[scores={talk=1..}] positioned ^ ^ ^1 run scoreboard players set @e[tag=bell,distance=..3,limit=1,sort=nearest,scores={bell_timer=0}] bell_timer 1

execute at @e[tag=bell,scores={bell_timer=2..239}] run particle note ~ ~ ~ 0.2 0.2 0.2 0.1 1
execute at @e[tag=bell,scores={bell_timer=2}] run playsound bell master @a

scoreboard players add @e[tag=bell,scores={bell_timer=1..}] bell_timer 1
scoreboard players set @e[tag=bell,scores={bell_timer=240..}] bell_timer 0




################################################################# 12. hot chocolate ################################################################

scoreboard objectives add filled dummy

give @a[tag=give12] minecraft:endermite_spawn_egg{display:{Name:"{\"text\":\"§4§lHot Chocolate\"}",Lore:["Place on a ceiling!","Rightclick to activate it!"]},EntityTag:{id:"minecraft:endermite",Tags:["sp17","sp"]},HideFlags:63}
tag @a remove give12

execute at @e[tag=sp17] align xyz run summon villager ~0.5 ~-0.5 ~0.5 {Tags:["cup_villager","iv"],NoGravity:1,NoAI:1,Offers:{},Invulnerable:1,Silent:1,Team:"nocoll"}
execute at @e[tag=sp17] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:22},Count:1}],Invisible:1,NoGravity:1,Marker:1,Tags:[cup],DisabledSlots:4144959}
execute as @e[tag=sp17] run data merge entity @s {DeathTime:19,Health:0}
scoreboard players add @e[tag=cup] filled 0

execute as @e[tag=cup,scores={filled=0}] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:22},Count:1}]}
execute as @e[tag=cup,scores={filled=1}] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:23},Count:1}]}


execute as @e[tag=cup] at @s if block ~ ~-1 ~ air run data merge entity @e[tag=cup_villager,limit=1,sort=nearest] {DeathTime:19,Health:0} 
execute as @e[tag=cup] at @s if block ~ ~-1 ~ air run kill @s 

effect give @e[tag=iv] invisibility 99 9 true

execute at @a[scores={talk=1..}] positioned ^ ^ ^1 run execute at @e[tag=cup,distance=..2,limit=1,sort=nearest,scores={filled=0}] run playsound minecraft:entity.player.burp master @a
execute at @a[scores={talk=1..}] positioned ^ ^ ^1 run execute at @e[tag=cup,distance=..2,limit=1,sort=nearest,scores={filled=0}] run effect give @p saturation 1 99 true
execute at @a[scores={talk=1..}] positioned ^ ^ ^1 run scoreboard players set @e[tag=cup,distance=..2,limit=1,sort=nearest,scores={filled=0}] filled 1


execute at @a positioned ^ ^ ^-3 run scoreboard players set @e[tag=cup,distance=..2.5,scores={filled=1}] filled 0



################################################################# 13. candles ################################################################

scoreboard objectives add candle_pos dummy

give @a[tag=give13] minecraft:endermite_spawn_egg{display:{Name:"{\"text\":\"§e§lCandle\"}",Lore:["Place on a wall or the floor!"]},EntityTag:{id:"minecraft:endermite",Tags:["sp13","sp"]},HideFlags:63}
tag @a remove give13
execute at @e[tag=sp13] align xyz run summon area_effect_cloud ~0.5 ~0.5 ~0.5 {Tags:[candle_spawn]}
execute as @e[tag=sp13] run data merge entity @s {DeathTime:19,Health:0}
execute at @e[tag=candle_spawn] run particle smoke ~ ~ ~ 0 0 0 0.001 10 force

execute as @e[tag=candle_spawn] at @s unless block ~1 ~ ~ air run scoreboard players set @s candle_pos 1
execute as @e[tag=candle_spawn] at @s unless block ~-1 ~ ~ air run scoreboard players set @s candle_pos 2
execute as @e[tag=candle_spawn] at @s unless block ~ ~ ~-1 air run scoreboard players set @s candle_pos 3
execute as @e[tag=candle_spawn] at @s unless block ~ ~ ~1 air run scoreboard players set @s candle_pos 4

execute as @e[tag=candle_spawn] at @s unless block ~ ~-1 ~ air run scoreboard players set @s candle_pos 0
execute at @e[tag=candle_spawn,scores={candle_pos=0}] run summon armor_stand ~ ~ ~ {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:0},Count:1}],Invisible:1,NoGravity:1,Tags:["candle"],DisabledSlots:4144959}
execute at @e[tag=candle_spawn,scores={candle_pos=1}] run summon armor_stand ~ ~ ~ {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:1},Count:1}],Invisible:1,NoGravity:1,Tags:["candle_wall1","candle_wall"],Rotation:[0f],Marker:1,DisabledSlots:4144959}
execute at @e[tag=candle_spawn,scores={candle_pos=2}] run summon armor_stand ~ ~ ~ {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:1},Count:1}],Invisible:1,NoGravity:1,Tags:["candle_wall2","candle_wall"],Rotation:[180f],Marker:1,DisabledSlots:4144959}
execute at @e[tag=candle_spawn,scores={candle_pos=3}] run summon armor_stand ~ ~ ~ {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:1},Count:1}],Invisible:1,NoGravity:1,Tags:["candle_wall3","candle_wall"],Rotation:[-90f],Marker:1,DisabledSlots:4144959}
execute at @e[tag=candle_spawn,scores={candle_pos=4}] run summon armor_stand ~ ~ ~ {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:1},Count:1}],Invisible:1,NoGravity:1,Tags:["candle_wall4","candle_wall"],Rotation:[90f],Marker:1,DisabledSlots:4144959}

execute as @e[tag=candle] at @s if block ~ ~-1 ~ air run kill @s 
execute as @e[tag=candle_wall1] at @s if block ~1 ~ ~ air run kill @s
execute as @e[tag=candle_wall2] at @s if block ~-1 ~ ~ air run kill @s 
execute as @e[tag=candle_wall3] at @s if block ~ ~ ~-1 air run kill @s 
execute as @e[tag=candle_wall4] at @s if block ~ ~ ~1 air run kill @s 

execute at @e[tag=candle] run particle flame ~ ~0.1 ~ 0 0 0 0.001 1 force
execute at @e[tag=candle_wall] run particle flame ^0.35 ^0.44 ^ 0 0 0 0.001 1 force

################################################################# 14. nutcracker ################################################################



scoreboard objectives add p_rot dummy
scoreboard objectives add crack_timer dummy
scoreboard players set @a[y_rotation=-45..45] p_rot 3
scoreboard players set @a[y_rotation=46..134] p_rot 2
scoreboard players set @a[y_rotation=-134..-46] p_rot 1
scoreboard players set @a[y_rotation=-180..-134] p_rot 4
scoreboard players set @a[y_rotation=134..180] p_rot 4


give @a[tag=give14] minecraft:endermite_spawn_egg{display:{Name:"{\"text\":\"§4§lNutcracker\"}",Lore:["Place on the floor!","","",""]},EntityTag:{id:"minecraft:endermite",Tags:["sp14","sp"]},HideFlags:63}
tag @a remove give14

execute at @e[tag=sp14] align xyz run tag @p add n_placer
execute at @a[tag=n_placer,scores={p_rot=1}] run execute at @e[tag=sp14] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Tags:["nutcracker"],Marker:1,Invisible:1,Invulnerable:1,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:43},Count:1}],Rotation:[90f]}
execute at @a[tag=n_placer,scores={p_rot=4}] run execute at @e[tag=sp14] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Tags:["nutcracker"],Marker:1,Invisible:1,Invulnerable:1,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:43},Count:1}],Rotation:[0f]}
execute at @a[tag=n_placer,scores={p_rot=2}] run execute at @e[tag=sp14] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Tags:["nutcracker"],Marker:1,Invisible:1,Invulnerable:1,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:43},Count:1}],Rotation:[-90f]}
execute at @a[tag=n_placer,scores={p_rot=3}] run execute at @e[tag=sp14] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Tags:["nutcracker"],Marker:1,Invisible:1,Invulnerable:1,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:43},Count:1}],Rotation:[180f]}
execute as @e[tag=sp14] run data merge entity @s {DeathTime:19,Health:0}
tag @a remove n_placer

execute as @e[tag=nutcracker] at @s if block ~ ~-1 ~ air run kill @s 


scoreboard players add @e[tag=nutcracker] crack_timer 0
scoreboard players remove @e[tag=nutcracker,scores={crack_timer=1..}] crack_timer 1


execute as @e[type=item,nbt={Item:{id:"minecraft:diamond"},OnGround:1b}] at @s run scoreboard players set @e[tag=nutcracker,scores={crack_timer=0},distance=..1] crack_timer 20
execute as @e[type=item,nbt={Item:{id:"minecraft:gold_ingot"},OnGround:1b}] at @s run scoreboard players set @e[tag=nutcracker,scores={crack_timer=0},distance=..1] crack_timer 20
execute as @e[type=item,nbt={Item:{id:"minecraft:iron_ingot"},OnGround:1b}] at @s run scoreboard players set @e[tag=nutcracker,scores={crack_timer=0},distance=..1] crack_timer 20
execute as @e[type=item,nbt={Item:{id:"minecraft:coal"},OnGround:1b}] at @s run scoreboard players set @e[tag=nutcracker,scores={crack_timer=0},distance=..1] crack_timer 20
execute as @e[type=item,nbt={Item:{id:"minecraft:lapis_lazuli"},OnGround:1b}] at @s run scoreboard players set @e[tag=nutcracker,scores={crack_timer=0},distance=..1] crack_timer 20
execute as @e[type=item,nbt={Item:{id:"minecraft:redstone"},OnGround:1b}] at @s run scoreboard players set @e[tag=nutcracker,scores={crack_timer=0},distance=..1] crack_timer 20
execute as @e[type=item,nbt={Item:{id:"minecraft:quartz"},OnGround:1b}] at @s run scoreboard players set @e[tag=nutcracker,scores={crack_timer=0},distance=..1] crack_timer 20
execute as @e[type=item,nbt={Item:{id:"minecraft:emerald"},OnGround:1b}] at @s run scoreboard players set @e[tag=nutcracker,scores={crack_timer=0},distance=..1] crack_timer 20
execute as @e[type=item,nbt={Item:{id:"minecraft:string",Count:5b},OnGround:1b}] at @s run scoreboard players set @e[tag=nutcracker,scores={crack_timer=0},distance=..1] crack_timer 20
execute as @e[type=item,nbt={Item:{id:"minecraft:leather",Count:64b},OnGround:1b}] at @s run scoreboard players set @e[tag=nutcracker,scores={crack_timer=0},distance=..1] crack_timer 20
execute as @e[type=item,nbt={Item:{id:"minecraft:nether_star",Count:1b},OnGround:1b}] at @s run execute as @e[type=item,nbt={Item:{id:"minecraft:shulker_shell",Count:5b},OnGround:1b},distance=..1] at @s run execute as @e[type=item,nbt={Item:{id:"minecraft:white_wool",Count:10b},OnGround:1b},distance=..1] at @s run scoreboard players set @e[tag=nutcracker,scores={crack_timer=0},distance=..1] crack_timer 20
execute as @e[type=item,nbt={Item:{id:"minecraft:nether_star",Count:1b},OnGround:1b}] at @s run execute as @e[type=item,nbt={Item:{id:"minecraft:ink_sac",Count:10b},OnGround:1b},distance=..1] at @s run execute as @e[type=item,nbt={Item:{id:"minecraft:oak_planks",Count:64b},OnGround:1b},distance=..1] at @s run scoreboard players set @e[tag=nutcracker,scores={crack_timer=0},distance=..1] crack_timer 20


execute at @e[tag=nutcracker,scores={crack_timer=20}] run execute as @e[type=item,nbt={Item:{id:"minecraft:diamond"}},distance=..1] run data merge entity @s {Item:{id:"minecraft:diamond_ore"}}
execute at @e[tag=nutcracker,scores={crack_timer=20}] run execute as @e[type=item,nbt={Item:{id:"minecraft:gold_ingot"}},distance=..1] run data merge entity @s {Item:{id:"minecraft:gold_ore"}}
execute at @e[tag=nutcracker,scores={crack_timer=20}] run execute as @e[type=item,nbt={Item:{id:"minecraft:iron_ingot"}},distance=..1] run data merge entity @s {Item:{id:"minecraft:iron_ore"}}
execute at @e[tag=nutcracker,scores={crack_timer=20}] run execute as @e[type=item,nbt={Item:{id:"minecraft:coal"}},distance=..1] run data merge entity @s {Item:{id:"minecraft:coal_ore"}}
execute at @e[tag=nutcracker,scores={crack_timer=20}] run execute as @e[type=item,nbt={Item:{id:"minecraft:lapis_lazuli"}},distance=..1] run data merge entity @s {Item:{id:"minecraft:lapis_ore"}}
execute at @e[tag=nutcracker,scores={crack_timer=20}] run execute as @e[type=item,nbt={Item:{id:"minecraft:redstone"}},distance=..1] run data merge entity @s {Item:{id:"minecraft:redstone_ore"}}
execute at @e[tag=nutcracker,scores={crack_timer=20}] run execute as @e[type=item,nbt={Item:{id:"minecraft:quartz"}},distance=..1] run data merge entity @s {Item:{id:"minecraft:nether_quartz_ore"}}
execute at @e[tag=nutcracker,scores={crack_timer=20}] run execute as @e[type=item,nbt={Item:{id:"minecraft:emerald"}},distance=..1] run data merge entity @s {Item:{id:"minecraft:emerald_ore"}}
execute at @e[tag=nutcracker,scores={crack_timer=20}] run execute as @e[type=item,nbt={Item:{id:"minecraft:string",Count:5b}},distance=..1] run summon item ~ ~ ~ {Item:{id:"minecraft:cobweb",Count:1b}}
execute at @e[tag=nutcracker,scores={crack_timer=20}] run execute as @e[type=item,nbt={Item:{id:"minecraft:leather",Count:64b}},distance=..1] run summon item ~ ~ ~ {Item:{id:"minecraft:saddle",Count:1b}}
execute at @e[tag=nutcracker,scores={crack_timer=20}] run execute as @e[type=item,nbt={Item:{id:"minecraft:nether_star",Count:1b}},distance=..1] run execute as @e[type=item,nbt={Item:{id:"minecraft:shulker_shell",Count:5b}},distance=..1] run execute as @e[type=item,nbt={Item:{id:"minecraft:white_wool",Count:10b}},distance=..1] run summon item ~ ~ ~ {Item:{id:"minecraft:elytra",Count:1b}}
execute at @e[tag=nutcracker,scores={crack_timer=20}] run execute as @e[type=item,nbt={Item:{id:"minecraft:nether_star",Count:1b}},distance=..1] run execute as @e[type=item,nbt={Item:{id:"minecraft:ink_sac",Count:10b}},distance=..1] run execute as @e[type=item,nbt={Item:{id:"minecraft:oak_planks",Count:64b}},distance=..1] run summon item ~ ~ ~ {Item:{id:"minecraft:name_tag",Count:1b}}
execute at @e[tag=nutcracker,scores={crack_timer=20}] run kill @e[type=item,nbt={Item:{id:"minecraft:string",Count:5b}},distance=..1]
execute at @e[tag=nutcracker,scores={crack_timer=20}] run kill @e[type=item,nbt={Item:{id:"minecraft:leather",Count:64b}},distance=..1]
execute at @e[tag=nutcracker,scores={crack_timer=20}] run kill @e[type=item,nbt={Item:{id:"minecraft:shulker_shell"}},distance=..1]
execute at @e[tag=nutcracker,scores={crack_timer=20}] run kill @e[type=item,nbt={Item:{id:"minecraft:white_wool"}},distance=..1]
execute at @e[tag=nutcracker,scores={crack_timer=20}] run kill @e[type=item,nbt={Item:{id:"minecraft:nether_star"}},distance=..1]
execute at @e[tag=nutcracker,scores={crack_timer=20}] run kill @e[type=item,nbt={Item:{id:"minecraft:oak_planks"}},distance=..1]
execute at @e[tag=nutcracker,scores={crack_timer=20}] run kill @e[type=item,nbt={Item:{id:"minecraft:ink_sac"}},distance=..1]




execute as @e[tag=nutcracker,scores={crack_timer=20}] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:44},Count:1}]}
execute as @e[tag=nutcracker,scores={crack_timer=15}] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:43},Count:1}]}
execute at @e[tag=nutcracker,scores={crack_timer=20}] run particle enchant ~ ~ ~ 0.2 0.3 0.2 0.01 5 force
execute at @e[tag=nutcracker,scores={crack_timer=20}] run particle firework ~ ~ ~ 0.1 0.2 0.1 0.01 3 force


################################################################# 15. snowman ################################################################

scoreboard objectives add upgrade_timer dummy
scoreboard objectives add shoot_timer dummy
scoreboard objectives add b_lt dummy
scoreboard objectives add sx dummy
scoreboard objectives add sy dummy
scoreboard objectives add sz dummy



give @a[tag=give15] minecraft:endermite_spawn_egg{display:{Name:"{\"text\":\"§f§lSnowman\"}",Lore:["Place on the floor!","Snowman shoots snowball at nearby mobs!"]},EntityTag:{id:"minecraft:endermite",Tags:["sp15","sp"]},HideFlags:63}
tag @a remove give15
execute at @e[tag=sp15] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:12},Count:1}],Invisible:1,NoGravity:1,Tags:["snowman"],DisabledSlots:4144959,Marker:1}
execute as @e[tag=sp15] run data merge entity @s {DeathTime:19,Health:0}

tag @e[tag=mob_near] remove mob_near
execute as @e[tag=snowman] at @s run execute at @e[scores={ET=1..2},distance=..20] run tag @s add mob_near

execute as @e[tag=snowman] at @s if block ~ ~-1 ~ air run kill @s

scoreboard players add @e[tag=snowman] shoot_timer 0
scoreboard players add @e[tag=snowman,scores={shoot_timer=0}] shoot_timer 1
scoreboard players add @e[tag=snowman,scores={shoot_timer=1..},tag=mob_near] shoot_timer 1
scoreboard players set @e[tag=snowman,scores={shoot_timer=30..}] shoot_timer 0
scoreboard players set @e[tag=snowman,scores={shoot_timer=5..,upgrade_timer=1..}] shoot_timer 0
execute as @e[tag=snowman] at @s run tp @s ~ ~ ~ facing entity @e[sort=nearest,limit=1,scores={ET=1..2},distance=..20]


execute as @e[tag=snowman,scores={shoot_timer=0}] at @s run summon armor_stand ^ ^ ^-0.01 {Tags:["snowball","snowball_init"],Invisible:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:24},Count:1}]}
execute as @e[tag=snowman,scores={shoot_timer=0}] at @s run execute as @s store result score @s sx run data get entity @s Pos[0] 10000
execute as @e[tag=snowman,scores={shoot_timer=0}] at @s run execute as @s store result score @s sy run data get entity @s Pos[1] 10000
execute as @e[tag=snowman,scores={shoot_timer=0}] at @s run execute as @s store result score @s sz run data get entity @s Pos[2] 10000

execute as @e[tag=snowman,scores={shoot_timer=0}] at @s run execute as @e[tag=snowball_init,limit=1,sort=nearest] at @s store result score @s sx run data get entity @s Pos[0] 10000
execute as @e[tag=snowman,scores={shoot_timer=0}] at @s run execute as @e[tag=snowball_init,limit=1,sort=nearest] at @s store result score @s sy run data get entity @s Pos[1] 10000
execute as @e[tag=snowman,scores={shoot_timer=0}] at @s run execute as @e[tag=snowball_init,limit=1,sort=nearest] at @s store result score @s sz run data get entity @s Pos[2] 10000



execute as @e[tag=snowman,scores={shoot_timer=0}] at @s run scoreboard players operation @s sx -= @e[tag=snowball_init,limit=1,sort=nearest] sx
execute as @e[tag=snowman,scores={shoot_timer=0}] at @s run scoreboard players operation @s sy -= @e[tag=snowball_init,limit=1,sort=nearest] sy
execute as @e[tag=snowman,scores={shoot_timer=0}] at @s run scoreboard players add @s sy 10
execute as @e[tag=snowman,scores={shoot_timer=0}] at @s run scoreboard players operation @s sz -= @e[tag=snowball_init,limit=1,sort=nearest] sz


execute as @e[tag=snowman,scores={shoot_timer=0}] at @s run execute store result entity @e[tag=snowball_init,limit=1,sort=nearest] Motion[0] double 0.035 run scoreboard players get @s sx
execute as @e[tag=snowman,scores={shoot_timer=0}] at @s run execute store result entity @e[tag=snowball_init,limit=1,sort=nearest] Motion[1] double 0.035 run scoreboard players get @s sy
execute as @e[tag=snowman,scores={shoot_timer=0}] at @s run execute store result entity @e[tag=snowball_init,limit=1,sort=nearest] Motion[2] double 0.035 run scoreboard players get @s sz


tag @e[tag=snowball_init] remove snowball_init


scoreboard players add @e[tag=snowball] b_lt 1
execute as @e[tag=snowball,scores={b_lt=1..}] at @s positioned ~ ~-0.1 ~ run effect give @e[scores={ET=1},distance=..1.8,limit=1,sort=nearest] instant_damage 1 0 true
execute as @e[tag=snowball,scores={b_lt=1..}] at @s positioned ~ ~-0.1 ~ run effect give @e[scores={ET=2},distance=..1.8,limit=1,sort=nearest] instant_health 1 0 true
execute as @e[tag=snowball,scores={b_lt=1..17}] at @s positioned ~ ~-0.1 ~ run execute at @e[scores={ET=1..2},distance=..1.8,limit=1,sort=nearest] run particle block snow ~ ~0.5 ~ 0.5 0.5 0.5 0.1 20 force
execute as @e[tag=snowball,scores={b_lt=1..17}] at @s positioned ~ ~-0.1 ~ run execute at @e[scores={ET=1..2},distance=..1.8,limit=1,sort=nearest] run scoreboard players set @s b_lt 18
execute as @e[tag=snowball,scores={b_lt=1..},nbt={OnGround:1b}] run scoreboard players set @s b_lt 20
#execute as @e[tag=snowball,scores={b_lt=2}] run data merge entity @s {Tags:["snowball","snowball_init"],ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:24},Count:1}]}

kill @e[tag=snowball,scores={b_lt=20..}]


execute as @e[tag=snowman] at @s run execute at @e[type=item,distance=..1.0,nbt={Item:{id:"minecraft:diamond"}}] run scoreboard players set @s upgrade_timer 1200
execute as @e[tag=snowman] at @s run execute as @e[type=item,distance=..1.0,nbt={Item:{id:"minecraft:diamond"}}] run kill @s
scoreboard players remove @e[tag=snowman,scores={upgrade_timer=1..}] upgrade_timer 1
execute at @e[tag=snowman,scores={upgrade_timer=1..}] run particle firework ~ ~-0.2 ~ 0.3 0.99 0.3 0.02 1 force




################################################################# 16. elf companion ################################################################

scoreboard objectives add e_moving dummy
scoreboard objectives add evil_mob dummy

scoreboard players set @e[type=zombie,tag=!grinch] evil_mob 1
scoreboard players set @e[type=zombie_villager] evil_mob 1
scoreboard players set @e[type=skeleton] evil_mob 1
scoreboard players set @e[type=creeper] evil_mob 1
scoreboard players set @e[type=spider] evil_mob 1
scoreboard players set @e[type=cave_spider] evil_mob 1
scoreboard players set @e[type=vindicator] evil_mob 1
scoreboard players set @e[type=blaze] evil_mob 1
scoreboard players set @e[type=drowned] evil_mob 1
scoreboard players set @e[type=guardian] evil_mob 1
scoreboard players set @e[type=enderman] evil_mob 1
scoreboard players set @e[type=endermite] evil_mob 1
scoreboard players set @e[type=evoker] evil_mob 1
scoreboard players set @e[type=husk] evil_mob 1
scoreboard players set @e[type=illusioner] evil_mob 1
scoreboard players set @e[type=magma_cube] evil_mob 1
scoreboard players set @e[type=slime] evil_mob 1
scoreboard players set @e[type=shulker] evil_mob 1
scoreboard players set @e[type=phantom] evil_mob 1
scoreboard players set @e[type=stray] evil_mob 1
scoreboard players set @e[type=vex] evil_mob 1
scoreboard players set @e[type=witch] evil_mob 1
scoreboard players set @e[type=wither_skeleton,tag=!elf] evil_mob 1
scoreboard players set @e[type=zombie_pigman] evil_mob 1

give @a[tag=give16] minecraft:endermite_spawn_egg{display:{Name:"{\"text\":\"§2§lElf Companion\"}",Lore:["Rightclick to sapwn",""]},EntityTag:{id:"minecraft:endermite",Tags:["sp16","sp"]},HideFlags:63}
tag @a remove give16


execute at @e[tag=sp16] align xyz run summon armor_stand ~0.5 ~ ~0.5 {Invisible:1,NoGravity:1,Tags:["elf_as"],DisabledSlots:4144959,Marker:1}
execute at @e[tag=sp16] align xyz run summon wither_skeleton ~0.5 ~ ~0.5 {Tags:["elf"],Silent:1b,Invulnerable:1b,IsBaby:1b,Attributes:[{Name:generic.followRange,Base:20},{Name:generic.knockbackResistance,Base:1},{Name:generic.movementSpeed,Base:0.28}]}
execute as @e[tag=sp16] run data merge entity @s {DeathTime:19,Health:0}


execute as @e[tag=elf] at @s run tp @e[tag=elf_as,limit=1,sort=nearest] @s
execute as @e[tag=elf] at @s run tp @e[tag=elf_as,limit=1,sort=nearest] ~ ~ ~ ~ 0
execute as @e[tag=elf] run data merge entity @s {Fire:-99s,NoAI:0}
execute at @a run execute as @e[tag=elf,distance=..2.5] run data merge entity @s {NoAI:1}
scoreboard players remove @e[tag=elf] e_moving 1
scoreboard players set @e[tag=elf,nbt={Motion:[0.0,0.0,0.0]}] e_moving 5
scoreboard players set @e[tag=elf,nbt={NoAI:1b}] e_moving 5


execute as @e[tag=elf_as] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:25},Count:1}]}
execute at @e[tag=elf,scores={e_moving=..0}] run execute as @e[tag=elf_as,distance=..0.5,limit=1,sort=nearest] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:26},Count:1}]}
effect give @e[tag=elf] invisibility 99 9 true

execute at @e[type=item,nbt={Item:{id:"minecraft:cookie"}}] run tag @e[tag=elf,distance=..1] add kill_elf
execute as @e[type=item,nbt={Item:{id:"minecraft:cookie"}}] at @s run execute at @e[tag=elf,distance=..1] run kill @s

execute as @e[tag=kill_elf] at @s run particle happy_villager ~ ~0.7 ~ 0.1 0.3 0.1 0.5 5 force 
execute as @e[tag=kill_elf] at @s run kill @e[tag=elf_as,limit=1,sort=nearest]
execute as @e[tag=kill_elf] run data merge entity @s {DeathTime:19,Health:0}

execute at @e[tag=elf] run execute at @e[type=item,nbt={OnGround:1b},distance=..2] run particle poof ~ ~0.2 ~ 0 0 0 0.01 3 force
execute at @e[tag=elf] run execute as @e[type=item,nbt={OnGround:1b},distance=..2] run data merge entity @s {PickupDelay:0}
execute at @e[tag=elf] run tp @e[type=item,nbt={OnGround:1b},distance=..5] @p

gamerule keepInventory false
execute at @e[tag=elf] run execute at @a[distance=..10] run gamerule keepInventory true
execute at @e[tag=elf] run effect give @a[distance=..2] regeneration 1 1 true
execute at @e[tag=elf] run execute as @a[distance=..2] run particle heart ~ ~ ~ 0.5 0.5 0.5 0.05 1 force
execute at @e[tag=elf] run execute as @e[scores={evil_mob=1},distance=..5] at @s run particle large_smoke ~ ~0.4 ~ 0.2 0.3 0.2 0.05 10 force 
execute at @e[tag=elf] run execute as @e[scores={evil_mob=1},distance=..5] run data merge entity @s {DeathTime:19,Health:0}


################################################################# 17. grinch  ################################################################

give @a[tag=give17] minecraft:endermite_spawn_egg{display:{Name:"{\"text\":\"§2§lGrinch\"}",Lore:["Rightclick to summon!"]},EntityTag:{id:"minecraft:endermite",Tags:["sp12","sp"]},HideFlags:63}
tag @a remove give17



execute at @e[tag=sp12] align xyz run summon zombie ~ ~ ~ {PersistenceRequired:1b,CanPickUpLoot:0b,Health:50f,IsBaby:0b,Tags:["grinch"],ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",Count:1b,tag:{Unbreakable:1b,Damage:21}}],ArmorDropChances:[0.85F,0.85F,0.85F,0.0F],Attributes:[{Name:generic.maxHealth,Base:50}],Silent:1}
execute as @e[tag=sp12] run data merge entity @s {DeathTime:19,Health:0}

execute at @e[tag=grinch] run execute as @e[tag=present_item,distance=..2.0,nbt={Item:{id:"minecraft:sea_pickle"}}] at @s run particle heart ~ ~0.5 ~ 0.6 0.6 0.6 0.05 10 force
execute at @e[tag=grinch] run execute as @e[tag=present_item,distance=..2.0,nbt={Item:{id:"minecraft:sea_pickle"}}] at @s run tag @e[tag=present,limit=1,sort=nearest] add kp
execute at @e[tag=grinch] run execute as @e[tag=present_item,distance=..2.0,nbt={Item:{id:"minecraft:sea_pickle"}}] at @s run data merge entity @e[tag=grinch,limit=1,sort=nearest] {DeathTime:19,Health:0}

execute as @e[tag=kp] at @s run data merge entity @e[tag=present_villager,limit=1,sort=nearest] {DeathTime:19,Health:0}
execute as @e[tag=kp] at @s run summon item ~ ~ ~0.1 {Item:{id:"minecraft:diamond",Count:10b}}
execute as @e[tag=kp] at @s run summon item ~ ~ ~ {Item:{id:"minecraft:nether_star",Count:1b}}
execute as @e[tag=kp] at @s run summon item ~ ~ ~ {Item:{id:"minecraft:ender_pearl",Count:16b}}
execute as @e[tag=kp] at @s run summon item ~ ~ ~ {Item:{id:"minecraft:elytra",Count:1b}}
execute as @e[tag=kp] at @s run summon item ~-0.3 ~ ~-0.1 {Item:{id:"minecraft:golden_apple",Count:5b}}
execute as @e[tag=kp] at @s run kill @e[tag=present_item,distance=..0.5]
kill @e[tag=kp]


execute at @e[tag=grinch] run execute as @e[tag=present,distance=..1.5] at @s run particle large_smoke ~ ~0.5 ~ 0.2 0.4 0.2 0.05 10 force
execute at @e[tag=grinch] run execute as @e[tag=present,distance=..1.5] at @s run data merge entity @e[tag=present_villager,limit=1,sort=nearest] {DeathTime:19,Health:0}
execute at @e[tag=grinch] run execute as @e[tag=present,distance=..1.5] at @s run kill @e[tag=present_item,distance=..0.5]
execute at @e[tag=grinch] run kill @e[tag=present,distance=..1.5]

execute at @e[tag=grinch] run execute as @e[tag=stocking,distance=..2] at @s run particle large_smoke ~ ~0.5 ~ 0.2 0.4 0.2 0.05 10 force
execute at @e[tag=grinch] run execute as @e[tag=stocking,distance=..2] at @s run data merge entity @e[tag=stocking_villager,limit=1,sort=nearest] {DeathTime:19,Health:0}
execute at @e[tag=grinch] run kill @e[tag=stocking,distance=..2]

execute at @e[tag=grinch] positioned ~ ~1 ~ run execute as @e[tag=bell,distance=..2] at @s run particle large_smoke ~ ~0.5 ~ 0.2 0.4 0.2 0.05 10 force
execute at @e[tag=grinch] positioned ~ ~1 ~ run execute as @e[tag=bell,distance=..2] at @s run data merge entity @e[tag=bell_villager,limit=1,sort=nearest] {DeathTime:19,Health:0}
execute at @e[tag=grinch] positioned ~ ~1 ~ run kill @e[tag=bell,distance=..2]


execute at @e[tag=grinch] positioned ~ ~1 ~ run execute as @e[tag=cup,distance=..2] at @s run particle large_smoke ~ ~0.5 ~ 0.2 0.4 0.2 0.05 10 force
execute at @e[tag=grinch] positioned ~ ~1 ~ run execute as @e[tag=cup,distance=..2] at @s run data merge entity @e[tag=cup_villager,limit=1,sort=nearest] {DeathTime:19,Health:0}
execute at @e[tag=grinch] positioned ~ ~1 ~ run kill @e[tag=cup,distance=..2]


################################################################# 18. candycane boomerang ################################################################

scoreboard objectives add cane_timer dummy
scoreboard objectives add cane_rot dummy
scoreboard objectives add cane_mult dummy
scoreboard players add @a cane_timer 0

give @a[tag=give18] minecraft:carrot_on_a_stick{display:{Name:"{\"text\":\"§4§lCandy Cane\"}",Lore:["Rightclick to throw!"]},Unbreakable:1b,Damage:1,HideFlags:63,AttributeModifiers:[{AttributeName:"generic.attackDamage",Name:"generic.attackDamage",Amount:18,Operation:0,UUIDLeast:527442,UUIDMost:311599}]} 1
tag @a remove give18

scoreboard players set @a[scores={cane_timer=0,rc=1..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Damage:1}}}] cane_timer 1
scoreboard players add @a[scores={cane_timer=1..}] cane_timer 1
scoreboard players add @e[tag=candy_cane] cane_timer 1
scoreboard players set @a[scores={cane_timer=60..}] cane_timer 0

execute as @a[scores={cane_timer=2}] at @s run summon armor_stand ~ ~ ~ {Invisible:1,NoGravity:1,Marker:1,Tags:["candy_cane"],DisabledSlots:4144959}
execute as @a[scores={cane_timer=2}] at @s run summon armor_stand ~ ~ ~ {ArmorItems:[{},{},{},{id:"minecraft:carrot_on_a_stick",tag:{Unbreakable:1,Damage:1},Count:1}],Invisible:1,NoGravity:1,Marker:1,Tags:["candy_cane_cane"],DisabledSlots:4144959}
execute as @a[scores={cane_timer=2}] at @s run tp @e[tag=candy_cane,limit=1,sort=nearest] @s
execute as @a[scores={cane_timer=2}] at @s run tp @e[tag=candy_cane,limit=1,sort=nearest] ~ ~1 ~ ~25 ~ 
clear @a[scores={cane_timer=2}] carrot_on_a_stick 1
execute as @e[tag=candy_cane,scores={cane_timer=1..15}] at @s run tp @s ^ ^ ^0.8 ~-3 ~
execute as @e[tag=candy_cane,scores={cane_timer=16..20}] at @s run tp @s ^ ^ ^0.7 ~-5 ~
execute as @e[tag=candy_cane,scores={cane_timer=21..24}] at @s run tp @s ^ ^ ^0.6 ~-7 ~
execute as @e[tag=candy_cane,scores={cane_timer=25..28}] at @s run tp @s ^ ^ ^0.5 ~-9 ~
execute as @e[tag=candy_cane,scores={cane_timer=29..32}] at @s run tp @s ^ ^ ^0.4 ~-10 ~
execute as @e[tag=candy_cane,scores={cane_timer=33..36}] at @s run tp @s ^ ^ ^0.55 ~-8 ~
execute as @e[tag=candy_cane,scores={cane_timer=37..41}] at @s run tp @s ^ ^ ^0.8 ~-5 ~
execute as @e[tag=candy_cane,scores={cane_timer=42..50}] at @s run tp @s ^ ^ ^0.9 ~-2 ~
execute as @e[tag=candy_cane,scores={cane_timer=51..53}] at @s run tp @s ^ ^ ^0.7 ~ ~
tag @e[tag=candy_cane,scores={cane_timer=1..53}] add cane_drop
execute as @e[tag=candy_cane,scores={cane_timer=1..53}] at @s if block ^ ^ ^0.9 sugar_cane run tag @s remove cane_drop
execute as @e[tag=candy_cane,scores={cane_timer=1..53}] at @s if block ^ ^ ^0.9 air run tag @s remove cane_drop
execute as @e[tag=candy_cane,scores={cane_timer=1..53}] at @s if block ^ ^ ^0.9 dead_bush run tag @s remove cane_drop
execute as @e[tag=candy_cane,scores={cane_timer=1..53}] at @s if block ^ ^ ^0.9 grass run tag @s remove cane_drop
execute as @e[tag=candy_cane,scores={cane_timer=1..53}] at @s if block ^ ^ ^0.9 tall_grass run tag @s remove cane_drop
scoreboard players set @e[tag=cane_drop] cane_timer 54
execute as @e[tag=candy_cane,scores={cane_timer=54}] at @s run summon item ~ ~ ~ {Item:{id:"minecraft:carrot_on_a_stick",Count:1b,tag:{display:{Name:"{\"text\":\"§4§lCandy Cane\"}",Lore:["Rightclick to throw!"]},Unbreakable:1b,Damage:1,HideFlags:63,AttributeModifiers:[{AttributeName:"generic.attackDamage",Name:"generic.attackDamage",Amount:18,Operation:0,UUIDLeast:527442,UUIDMost:311599}]}}}
execute as @e[tag=candy_cane,scores={cane_timer=54}] at @s run kill @e[tag=candy_cane_cane,limit=1,sort=nearest]
execute as @e[tag=candy_cane,scores={cane_timer=54}] at @s run kill @s
execute as @e[tag=candy_cane] at @s run tp @e[tag=candy_cane_cane,limit=1,sort=nearest,distance=..1.2] ~ ~ ~
execute as @e[tag=candy_cane_cane] at @s run tp @s ~ ~ ~ ~-30 ~
execute as @a[scores={cane_timer=7..}] at @s run execute at @e[tag=candy_cane,distance=..2] run tag @s add catch
execute at @a[tag=catch] run kill @e[tag=candy_cane,distance=..2]
execute at @a[tag=catch] run kill @e[tag=candy_cane_cane,distance=..2]
give @a[tag=catch] minecraft:carrot_on_a_stick{display:{Name:"{\"text\":\"§4§lCandy Cane\"}",Lore:["Rightclick to throw!"]},Unbreakable:1b,Damage:1,HideFlags:63,AttributeModifiers:[{AttributeName:"generic.attackDamage",Name:"generic.attackDamage",Amount:18,Operation:0,UUIDLeast:527442,UUIDMost:311599}]} 1
scoreboard players set @a[tag=catch] cane_timer 0
tag @a[tag=catch] remove catch

execute as @e[tag=candy_cane,scores={cane_timer=1..53}] at @s run effect give @e[scores={ET=1},distance=..1.5] instant_damage 2 2 true
execute as @e[tag=candy_cane,scores={cane_timer=1..53}] at @s run effect give @e[scores={ET=2},distance=..1.5] instant_health 2 2 true


execute as @e[tag=candy_cane,scores={cane_timer=25}] at @s run execute as @s store result score @s cane_rot run data get entity @s Rotation[1] 10
scoreboard players set @e[tag=candy_cane,scores={cane_timer=25}] cane_mult -1
execute as @e[tag=candy_cane,scores={cane_timer=25}] at @s run scoreboard players operation @s cane_rot *= @s cane_mult
execute as @e[tag=candy_cane,scores={cane_timer=25}] at @s run execute store result entity @s Rotation[1] float 0.1 run scoreboard players get @s cane_rot


################################################################# 19 ornaments ################################################################

give @a[tag=give19] minecraft:endermite_spawn_egg{display:{Name:"{\"text\":\"§6§lOrnament\"}",Lore:["Place on a ceiling!"]},EntityTag:{id:"minecraft:endermite",Tags:["sp19","sp"]},HideFlags:63}
tag @a remove give19

execute at @e[tag=sp19] align xyz run summon area_effect_cloud ~0.5 ~0.5 ~0.5 {Tags:["ornament_spawn","ornament_spawn1"]}
execute at @e[tag=sp19] align xyz run summon area_effect_cloud ~0.5 ~0.5 ~0.5 {Tags:["ornament_spawn","ornament_spawn2"]}
execute at @e[tag=sp19] align xyz run summon area_effect_cloud ~0.5 ~0.5 ~0.5 {Tags:["ornament_spawn","ornament_spawn3"]}
execute at @e[tag=sp19] align xyz run summon area_effect_cloud ~0.5 ~0.5 ~0.5 {Tags:["ornament_spawn","ornament_spawn4"]}
execute at @e[tag=ornament] run kill @e[tag=ornament_spawn,distance=..0.5]
execute as @e[tag=sp19] run data merge entity @s {DeathTime:19,Health:0}

scoreboard players set @e[tag=ornament_spawn,sort=random,limit=1] r 1
execute at @e[tag=ornament_spawn1,scores={r=1}] run summon armor_stand ~ ~ ~ {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:8},Count:1}],Invisible:1,NoGravity:1,Marker:1,Tags:[ornament],DisabledSlots:4144959}
execute at @e[tag=ornament_spawn2,scores={r=1}] run summon armor_stand ~ ~ ~ {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:9},Count:1}],Invisible:1,NoGravity:1,Marker:1,Tags:[ornament],DisabledSlots:4144959}
execute at @e[tag=ornament_spawn3,scores={r=1}] run summon armor_stand ~ ~ ~ {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:10},Count:1}],Invisible:1,NoGravity:1,Marker:1,Tags:[ornament],DisabledSlots:4144959}
execute at @e[tag=ornament_spawn4,scores={r=1}] run summon armor_stand ~ ~ ~ {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:11},Count:1}],Invisible:1,NoGravity:1,Marker:1,Tags:[ornament],DisabledSlots:4144959}

execute as @e[tag=ornament] at @s if block ~ ~1 ~ air run kill @s 



################################################################# 20. Chimney ################################################################

scoreboard objectives add p_rot dummy
scoreboard objectives add chimney_cd dummy
scoreboard players set @a[y_rotation=-45..45] p_rot 3
scoreboard players set @a[y_rotation=46..134] p_rot 2
scoreboard players set @a[y_rotation=-134..-46] p_rot 1
scoreboard players set @a[y_rotation=-180..-134] p_rot 4
scoreboard players set @a[y_rotation=134..180] p_rot 4

give @a[tag=give20] minecraft:endermite_spawn_egg{display:{Name:"{\"text\":\"§f§lChimney\"}",Lore:["Place on the floor!","Sneak to travel up/downwards!"]},EntityTag:{id:"minecraft:endermite",Tags:["sp20","sp"]},HideFlags:63}
tag @a remove give20
execute at @e[tag=sp20] align xyz run tag @p add placer
execute at @e[tag=sp20] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,NoGravity:1,Tags:["chimney_spawn"],DisabledSlots:4144959,Marker:1}
execute as @e[tag=sp20] run data merge entity @s {DeathTime:19,Health:0}




execute at @e[tag=chimney_spawn] run fill ~ ~1 ~ ~ ~8 ~ bricks 

execute at @a[tag=placer,scores={p_rot=1}] run execute at @e[tag=chimney_spawn] run summon armor_stand ~ ~ ~ {Invisible:1,Invulnerable:1,Tags:["chimney_bottom","chimney_bottom1"],Marker:1,NoGravity:1}
execute at @a[tag=placer,scores={p_rot=2}] run execute at @e[tag=chimney_spawn] run summon armor_stand ~ ~ ~ {Invisible:1,Invulnerable:1,Tags:["chimney_bottom","chimney_bottom2"],Marker:1,NoGravity:1}
execute at @a[tag=placer,scores={p_rot=3}] run execute at @e[tag=chimney_spawn] run summon armor_stand ~ ~ ~ {Invisible:1,Invulnerable:1,Tags:["chimney_bottom","chimney_bottom3"],Marker:1,NoGravity:1}
execute at @a[tag=placer,scores={p_rot=4}] run execute at @e[tag=chimney_spawn] run summon armor_stand ~ ~ ~ {Invisible:1,Invulnerable:1,Tags:["chimney_bottom","chimney_bottom4"],Marker:1,NoGravity:1}
execute at @e[tag=chimney_spawn] run summon armor_stand ~ ~9 ~ {Invisible:1,Invulnerable:1,Tags:[chimney_top],Marker:1,NoGravity:1}



execute at @a[tag=placer,scores={p_rot=1..2}] run execute at @e[tag=chimney_spawn] run fill ~ ~ ~1 ~ ~ ~-1 bricks 
execute at @a[tag=placer,scores={p_rot=1..2}] run execute at @e[tag=chimney_spawn] run setblock ~ ~1 ~-1 brick_stairs[facing=south]
execute at @a[tag=placer,scores={p_rot=1..2}] run execute at @e[tag=chimney_spawn] run setblock ~ ~1 ~1 brick_stairs[facing=north]

execute at @a[tag=placer,scores={p_rot=3..4}] run execute at @e[tag=chimney_spawn] run fill ~1 ~ ~ ~-1 ~ ~ bricks 
execute at @a[tag=placer,scores={p_rot=3..4}] run execute at @e[tag=chimney_spawn] run setblock ~-1 ~1 ~ brick_stairs[facing=east]
execute at @a[tag=placer,scores={p_rot=3..4}] run execute at @e[tag=chimney_spawn] run setblock ~1 ~1 ~ brick_stairs[facing=west]


execute at @e[tag=chimney_spawn] run setblock ~ ~-1 ~ netherrack 
execute at @e[tag=chimney_spawn] run setblock ~ ~ ~ fire

kill @e[tag=chimney_spawn]


execute as @e[tag=chimney_bottom] at @s if block ~ ~-1 ~ air run fill ~-1 ~1 ~-1 ~1 ~1 ~1 air replace brick_stairs
execute as @e[tag=chimney_bottom] at @s if block ~ ~-1 ~ air run fill ~-1 ~ ~-1 ~1 ~1 ~1 air replace bricks
execute as @e[tag=chimney_bottom] at @s if block ~ ~-1 ~ air run fill ~ ~ ~ ~ ~8 ~ air
execute as @e[tag=chimney_bottom] at @s if block ~ ~-1 ~ air positioned ~ ~9 ~ run kill @e[tag=chimney_top,limit=1,sort=nearest]
execute as @e[tag=chimney_bottom] at @s if block ~ ~-1 ~ air run kill @s

scoreboard players add @a chimney_cd 0
scoreboard players remove @a[scores={chimney_cd=1..}] chimney_cd 1


execute as @a[scores={sneak=1..,chimney_cd=0}] at @s positioned ~ ~ ~-1 run execute at @e[tag=chimney_bottom4,distance=..1] positioned ~-0.5 ~ ~-0.5 run execute at @e[tag=chimney_top,dx=1,dz=1,dy=12,limit=1,sort=nearest] run scoreboard players set @s chimney_cd 20
execute as @a[scores={sneak=1..,chimney_cd=20}] at @s positioned ~ ~ ~-1 run execute at @e[tag=chimney_bottom4,distance=..1] positioned ~-0.5 ~ ~-0.5 run execute at @e[tag=chimney_top,dx=1,dz=1,dy=12,limit=1,sort=nearest] run tp @s ~ ~ ~

execute as @a[scores={sneak=1..,chimney_cd=0}] at @s positioned ~ ~ ~1 run execute at @e[tag=chimney_bottom3,distance=..1] positioned ~-0.5 ~ ~-0.5 run execute at @e[tag=chimney_top,dx=1,dz=1,dy=12,limit=1,sort=nearest] run scoreboard players set @s chimney_cd 20
execute as @a[scores={sneak=1..,chimney_cd=20}] at @s positioned ~ ~ ~1 run execute at @e[tag=chimney_bottom3,distance=..1] positioned ~-0.5 ~ ~-0.5 run execute at @e[tag=chimney_top,dx=1,dz=1,dy=12,limit=1,sort=nearest] run tp @s ~ ~ ~

execute as @a[scores={sneak=1..,chimney_cd=0}] at @s positioned ~-1 ~ ~ run execute at @e[tag=chimney_bottom2,distance=..1] positioned ~-0.5 ~ ~-0.5 run execute at @e[tag=chimney_top,dx=1,dz=1,dy=12,limit=1,sort=nearest] run scoreboard players set @s chimney_cd 20
execute as @a[scores={sneak=1..,chimney_cd=20}] at @s positioned ~-1 ~ ~ run execute at @e[tag=chimney_bottom2,distance=..1] positioned ~-0.5 ~ ~-0.5 run execute at @e[tag=chimney_top,dx=1,dz=1,dy=12,limit=1,sort=nearest] run tp @s ~ ~ ~

execute as @a[scores={sneak=1..,chimney_cd=0}] at @s positioned ~1 ~ ~ run execute at @e[tag=chimney_bottom1,distance=..1] positioned ~-0.5 ~ ~-0.5 run execute at @e[tag=chimney_top,dx=1,dz=1,dy=12,limit=1,sort=nearest] run scoreboard players set @s chimney_cd 20
execute as @a[scores={sneak=1..,chimney_cd=20}] at @s positioned ~1 ~ ~ run execute at @e[tag=chimney_bottom1,distance=..1] positioned ~-0.5 ~ ~-0.5 run execute at @e[tag=chimney_top,dx=1,dz=1,dy=12,limit=1,sort=nearest] run tp @s ~ ~ ~


scoreboard players remove @a[scores={chimney_cd=1..}] chimney_cd 1

execute as @a[scores={sneak=1..,chimney_cd=0}] at @s run execute at @e[tag=chimney_top,distance=..1] positioned ~-0.5 ~ ~-0.5 run execute at @e[tag=chimney_bottom,dx=1,dz=1,dy=-12,limit=1,sort=nearest] run scoreboard players set @s chimney_cd 20
execute as @a[scores={sneak=1..,chimney_cd=20}] at @s run execute at @e[tag=chimney_top,distance=..1] positioned ~-0.5 ~ ~-0.5 run execute at @e[tag=chimney_bottom4,dx=1,dz=1,dy=-12,limit=1,sort=nearest] run tp @s ~ ~ ~1 
execute as @a[scores={sneak=1..,chimney_cd=20}] at @s run execute at @e[tag=chimney_top,distance=..1] positioned ~-0.5 ~ ~-0.5 run execute at @e[tag=chimney_bottom3,dx=1,dz=1,dy=-12,limit=1,sort=nearest] run tp @s ~ ~ ~-1 
execute as @a[scores={sneak=1..,chimney_cd=20}] at @s run execute at @e[tag=chimney_top,distance=..1] positioned ~-0.5 ~ ~-0.5 run execute at @e[tag=chimney_bottom2,dx=1,dz=1,dy=-12,limit=1,sort=nearest] run tp @s ~1 ~ ~ 
execute as @a[scores={sneak=1..,chimney_cd=20}] at @s run execute at @e[tag=chimney_top,distance=..1] positioned ~-0.5 ~ ~-0.5 run execute at @e[tag=chimney_bottom1,dx=1,dz=1,dy=-12,limit=1,sort=nearest] run tp @s ~-1 ~ ~ 



################################################################# 21. Turkey ################################################################

scoreboard objectives add p_rot dummy
scoreboard players set @a[y_rotation=-45..45] p_rot 3
scoreboard players set @a[y_rotation=46..134] p_rot 2
scoreboard players set @a[y_rotation=-134..-46] p_rot 1
scoreboard players set @a[y_rotation=-180..-134] p_rot 4
scoreboard players set @a[y_rotation=134..180] p_rot 4


give @a[tag=give21] minecraft:endermite_spawn_egg{display:{Name:"{\"text\":\"§6§lTurkey\"}",Lore:["Place on a table!"]},EntityTag:{id:"minecraft:endermite",Tags:["sp21a","sp"]},HideFlags:63}
give @a[tag=give21] minecraft:endermite_spawn_egg{display:{Name:"{\"text\":\"§f§lPlate\"}",Lore:["Place on a table!"]},EntityTag:{id:"minecraft:endermite",Tags:["sp21b","sp"]},HideFlags:63}
give @a[tag=give21] minecraft:endermite_spawn_egg{display:{Name:"{\"text\":\"§f§lFork\"}",Lore:["Place on a table!"]},EntityTag:{id:"minecraft:endermite",Tags:["sp21c","sp"]},HideFlags:63}
give @a[tag=give21] minecraft:endermite_spawn_egg{display:{Name:"{\"text\":\"§f§lKnife\"}",Lore:["Place on a table!"]},EntityTag:{id:"minecraft:endermite",Tags:["sp21d","sp"]},HideFlags:63}
give @a[tag=give21] minecraft:endermite_spawn_egg{display:{Name:"{\"text\":\"§f§lSpoon\"}",Lore:["Place on a table!"]},EntityTag:{id:"minecraft:endermite",Tags:["sp21e","sp"]},HideFlags:63}
give @a[tag=give21] minecraft:endermite_spawn_egg{display:{Name:"{\"text\":\"§f§lGlass\"}",Lore:["Place on a table!"]},EntityTag:{id:"minecraft:endermite",Tags:["sp21f","sp"]},HideFlags:63}
tag @a remove give21

execute at @e[tag=sp21a] align xyz run tag @p add t_placer
execute at @a[tag=t_placer,scores={p_rot=1}] run execute at @e[tag=sp21a] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Tags:["turkey","table_item"],Marker:1,Invisible:1,Invulnerable:1,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:28},Count:1}],Rotation:[90f]}
execute at @a[tag=t_placer,scores={p_rot=4}] run execute at @e[tag=sp21a] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Tags:["turkey","table_item"],Marker:1,Invisible:1,Invulnerable:1,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:28},Count:1}],Rotation:[0f]}
execute at @a[tag=t_placer,scores={p_rot=2}] run execute at @e[tag=sp21a] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Tags:["turkey","table_item"],Marker:1,Invisible:1,Invulnerable:1,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:28},Count:1}],Rotation:[-90f]}
execute at @a[tag=t_placer,scores={p_rot=3}] run execute at @e[tag=sp21a] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Tags:["turkey","table_item"],Marker:1,Invisible:1,Invulnerable:1,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:28},Count:1}],Rotation:[180f]}
execute as @e[tag=sp21a] run data merge entity @s {DeathTime:19,Health:0}
tag @a remove t_placer

execute at @e[tag=sp21b] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Tags:["plate","table_item"],Marker:1,Invisible:1,Invulnerable:1,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:29},Count:1}]}
execute as @e[tag=sp21b] run data merge entity @s {DeathTime:19,Health:0}

execute at @e[tag=sp21c] align xyz run tag @p add t_placer2
execute at @a[tag=t_placer2,scores={p_rot=1}] run execute at @e[tag=sp21c] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Tags:["fork","table_item"],Marker:1,Invisible:1,Invulnerable:1,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:30},Count:1}],Rotation:[90f]}
execute at @a[tag=t_placer2,scores={p_rot=4}] run execute at @e[tag=sp21c] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Tags:["fork","table_item"],Marker:1,Invisible:1,Invulnerable:1,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:30},Count:1}],Rotation:[0f]}
execute at @a[tag=t_placer2,scores={p_rot=2}] run execute at @e[tag=sp21c] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Tags:["fork","table_item"],Marker:1,Invisible:1,Invulnerable:1,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:30},Count:1}],Rotation:[-90f]}
execute at @a[tag=t_placer2,scores={p_rot=3}] run execute at @e[tag=sp21c] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Tags:["fork","table_item"],Marker:1,Invisible:1,Invulnerable:1,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:30},Count:1}],Rotation:[180f]}
execute as @e[tag=sp21c] run data merge entity @s {DeathTime:19,Health:0}
tag @a remove t_placer2


execute at @e[tag=sp21d] align xyz run tag @p add t_placer3
execute at @a[tag=t_placer3,scores={p_rot=1}] run execute at @e[tag=sp21d] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Tags:["knife","table_item"],Marker:1,Invisible:1,Invulnerable:1,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:31},Count:1}],Rotation:[90f]}
execute at @a[tag=t_placer3,scores={p_rot=4}] run execute at @e[tag=sp21d] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Tags:["knife","table_item"],Marker:1,Invisible:1,Invulnerable:1,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:31},Count:1}],Rotation:[0f]}
execute at @a[tag=t_placer3,scores={p_rot=2}] run execute at @e[tag=sp21d] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Tags:["knife","table_item"],Marker:1,Invisible:1,Invulnerable:1,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:31},Count:1}],Rotation:[-90f]}
execute at @a[tag=t_placer3,scores={p_rot=3}] run execute at @e[tag=sp21d] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Tags:["knife","table_item"],Marker:1,Invisible:1,Invulnerable:1,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:31},Count:1}],Rotation:[180f]}
execute as @e[tag=sp21d] run data merge entity @s {DeathTime:19,Health:0}
tag @a remove t_placer3

execute at @e[tag=sp21e] align xyz run tag @p add t_placer4
execute at @a[tag=t_placer4,scores={p_rot=1}] run execute at @e[tag=sp21e] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Tags:["spoon","table_item"],Marker:1,Invisible:1,Invulnerable:1,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:32},Count:1}],Rotation:[90f]}
execute at @a[tag=t_placer4,scores={p_rot=4}] run execute at @e[tag=sp21e] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Tags:["spoon","table_item"],Marker:1,Invisible:1,Invulnerable:1,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:32},Count:1}],Rotation:[0f]}
execute at @a[tag=t_placer4,scores={p_rot=2}] run execute at @e[tag=sp21e] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Tags:["spoon","table_item"],Marker:1,Invisible:1,Invulnerable:1,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:32},Count:1}],Rotation:[-90f]}
execute at @a[tag=t_placer4,scores={p_rot=3}] run execute at @e[tag=sp21e] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Tags:["spoon","table_item"],Marker:1,Invisible:1,Invulnerable:1,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:32},Count:1}],Rotation:[180f]}
execute as @e[tag=sp21e] run data merge entity @s {DeathTime:19,Health:0}
tag @a remove t_placer4


execute at @e[tag=sp21f] align xyz run tag @p add t_placer5
execute at @a[tag=t_placer5,scores={p_rot=1}] run execute at @e[tag=sp21f] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Tags:["glass","table_item"],Marker:1,Invisible:1,Invulnerable:1,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:33},Count:1}],Rotation:[90f]}
execute at @a[tag=t_placer5,scores={p_rot=4}] run execute at @e[tag=sp21f] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Tags:["glass","table_item"],Marker:1,Invisible:1,Invulnerable:1,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:33},Count:1}],Rotation:[0f]}
execute at @a[tag=t_placer5,scores={p_rot=2}] run execute at @e[tag=sp21f] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Tags:["glass","table_item"],Marker:1,Invisible:1,Invulnerable:1,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:33},Count:1}],Rotation:[-90f]}
execute at @a[tag=t_placer5,scores={p_rot=3}] run execute at @e[tag=sp21f] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Tags:["glass","table_item"],Marker:1,Invisible:1,Invulnerable:1,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:33},Count:1}],Rotation:[180f]}
execute as @e[tag=sp21f] run data merge entity @s {DeathTime:19,Health:0}
tag @a remove t_placer5



execute as @e[tag=table_item] at @s if block ~ ~-1 ~ air run kill @s 




################################################################# 22. Christmastree ################################################################


give @a[tag=give22] minecraft:endermite_spawn_egg{display:{Name:"{\"text\":\"§2§lChristmastree\"}",Lore:["Place on the floor!"]},EntityTag:{id:"minecraft:endermite",Tags:["sp22","sp"]},HideFlags:63}
tag @a remove give22
execute at @e[tag=sp22] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,NoGravity:1,Tags:["christmastree"],DisabledSlots:4144959,Marker:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:35},Count:1}]}
execute at @e[tag=sp22] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,NoGravity:1,Tags:["christmastree"],DisabledSlots:4144959,Marker:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:36},Count:1}]}
execute at @e[tag=sp22] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,NoGravity:1,Tags:["christmastree"],DisabledSlots:4144959,Marker:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:37},Count:1}]}
execute at @e[tag=sp22] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,NoGravity:1,Tags:["christmastree"],DisabledSlots:4144959,Marker:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:38},Count:1}]}
execute at @e[tag=sp22] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,NoGravity:1,Tags:["christmastree"],DisabledSlots:4144959,Marker:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:39},Count:1}]}
execute at @e[tag=sp22] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,NoGravity:1,Tags:["christmastree"],DisabledSlots:4144959,Marker:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:40},Count:1}]}
execute at @e[tag=sp22] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,NoGravity:1,Tags:["christmastree"],DisabledSlots:4144959,Marker:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:41},Count:1}]}
execute as @e[tag=sp22] run data merge entity @s {DeathTime:19,Health:0}

execute as @e[tag=christmastree] at @s if block ~ ~-1 ~ air run kill @s


################################################################# 23. santa morph ################################################################

scoreboard objectives add unsanta dummy
scoreboard objectives add tel_cd dummy
scoreboard objectives add nod_timer1 dummy
scoreboard objectives add nod_timer2 dummy
scoreboard objectives add frozen dummy
scoreboard objectives add blizzard dummy
scoreboard objectives add invis dummy
scoreboard objectives add s_helmet dummy
scoreboard objectives add pres_cd dummy
scoreboard objectives add santa dummy
scoreboard objectives add prx dummy
scoreboard objectives add pry dummy
scoreboard objectives add prz dummy

give @a[tag=give23] minecraft:chainmail_chestplate{display:{Name:"{\"text\":\"§4§lSanta Chestplate\"}"},HideFlags:63,Unbreakable:1b} 1
give @a[tag=give23] minecraft:chainmail_leggings{display:{Name:"{\"text\":\"§4§lSanta Leggings\"}"},HideFlags:63,Unbreakable:1b} 1
give @a[tag=give23] minecraft:chainmail_boots{display:{Name:"{\"text\":\"§4§lSanta Boots\"}"},HideFlags:63,Unbreakable:1b} 1
give @a[tag=give23] minecraft:chainmail_helmet{display:{Name:"{\"text\":\"§4§lSanta Hat\"}"},HideFlags:63,Unbreakable:1b} 1
tag @a remove give23


scoreboard players add @a s_helmet 0
scoreboard players set @a[nbt={Inventory:[{Slot:103b,id:"minecraft:chainmail_helmet",Count:1b,tag:{HideFlags:63}}]}] s_helmet 4
scoreboard players remove @a[scores={s_helmet=1..}] s_helmet 1
scoreboard players set @a[nbt={Inventory:[{Slot:103b,id:"minecraft:diamond_pickaxe",Count:1b,tag:{HideFlags:63}}]}] s_helmet 2
replaceitem entity @a[scores={s_helmet=3}] armor.head minecraft:diamond_pickaxe{display:{Name:"{\"text\":\"§4§lSanta Hat\"}"},Unbreakable:1b,Damage:7,HideFlags:63}
give @a[scores={s_helmet=1,invis=0}] minecraft:chainmail_helmet{display:{Name:"{\"text\":\"§4§lSanta Hat\"}"},Unbreakable:1b,Damage:0,HideFlags:63} 1
clear @a[scores={s_helmet=1}] minecraft:diamond_pickaxe{display:{Name:"{\"text\":\"§4§lSanta Hat\"}"},Unbreakable:1b,Damage:7,HideFlags:63}

scoreboard players set @a santa 0
scoreboard players set @a[scores={invis=1}] santa 1
scoreboard players set @a[nbt={Inventory:[{Slot:102b,id:"minecraft:chainmail_chestplate",Count:1b,tag:{HideFlags:63}},{Slot:100b,id:"minecraft:chainmail_boots",Count:1b,tag:{HideFlags:63}},{Slot:101b,id:"minecraft:chainmail_leggings",Count:1b,tag:{HideFlags:63}},{Slot:102b,id:"minecraft:chainmail_chestplate",Count:1b,tag:{HideFlags:63}},{Slot:103b,id:"minecraft:diamond_pickaxe",Count:1b,tag:{HideFlags:63}}]}] santa 1

replaceitem entity @a[scores={santa=1..,invis=0}] hotbar.0 minecraft:carrot_on_a_stick{display:{Name:"{\"text\":\"Present grenade\"}"},Unbreakable:1b,Damage:5,HideFlags:63} 1
replaceitem entity @a[scores={santa=1..,invis=0}] hotbar.1 minecraft:carrot_on_a_stick{display:{Name:"{\"text\":\"Stealth mode\"}"},Unbreakable:1b,Damage:6,HideFlags:63} 1
replaceitem entity @a[scores={santa=1..,invis=0}] hotbar.2 minecraft:carrot_on_a_stick{display:{Name:"{\"text\":\"Blizzard\"}"},Unbreakable:1b,Damage:7,HideFlags:63} 1
replaceitem entity @a[scores={santa=1..,invis=0}] hotbar.3 minecraft:carrot_on_a_stick{display:{Name:"{\"text\":\"Teleport\"}"},Unbreakable:1b,Damage:8,HideFlags:63} 1

scoreboard players add @a unsanta 0
scoreboard players remove @a[scores={unsanta=1..}] unsanta 1
scoreboard players set @a[scores={santa=1}] unsanta 3
replaceitem entity @a[scores={unsanta=2}] hotbar.0 air
replaceitem entity @a[scores={unsanta=2}] hotbar.1 air
replaceitem entity @a[scores={unsanta=2}] hotbar.2 air
replaceitem entity @a[scores={unsanta=2}] hotbar.3 air



scoreboard players add @a invis 0
scoreboard players set @a[scores={rc=1..,invis=0,santa=1},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Stealth mode\"}"}}}}] invis 1
replaceitem entity @a[scores={sneak=1..,invis=1,santa=1}] armor.head minecraft:diamond_pickaxe{display:{Name:"{\"text\":\"§4§lSanta Hat\"}"},Unbreakable:1b,Damage:7,HideFlags:63}
replaceitem entity @a[scores={sneak=1..,invis=1,santa=1}] armor.chest minecraft:chainmail_chestplate{display:{Name:"{\"text\":\"§4§lSanta Chestplate\"}"},Unbreakable:1b,HideFlags:63}
replaceitem entity @a[scores={sneak=1..,invis=1,santa=1}] armor.legs minecraft:chainmail_leggings{display:{Name:"{\"text\":\"§4§lSanta Leggings\"}"},Unbreakable:1b,Damage:7,HideFlags:63}
replaceitem entity @a[scores={sneak=1..,invis=1,santa=1}] armor.feet minecraft:chainmail_boots{display:{Name:"{\"text\":\"§4§lSanta Boots\"}"},Unbreakable:1b,Damage:7,HideFlags:63}
effect clear @a[scores={sneak=1..,invis=1,santa=1}] speed
effect clear @a[scores={sneak=1..,invis=1,santa=1}] invisibility
scoreboard players set @a[scores={sneak=1..,invis=1,santa=1}] invis 0

effect give @a[scores={invis=1}] invisibility 1 1 true
effect give @a[scores={invis=1}] speed 1 2 true
clear @a[scores={invis=1}] diamond_pickaxe
clear @a[scores={invis=1}] carrot_on_a_stick
clear @a[scores={invis=1}] chainmail_chestplate
clear @a[scores={invis=1}] chainmail_leggings
clear @a[scores={invis=1}] chainmail_boots


scoreboard players add @a pres_cd 0
scoreboard players remove @a[scores={pres_cd=1..}] pres_cd 1


execute as @a[scores={pres_cd=0,rc=1},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Present grenade\"}"}}}}] at @s run summon armor_stand ^ ^ ^-0.01 {Tags:["pres","pres_init"],Invisible:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:42},Count:1}]}
execute as @a[scores={pres_cd=0,rc=1}] at @s run execute as @s store result score @s prx run data get entity @s Pos[0] 10000
execute as @a[scores={pres_cd=0,rc=1}] at @s run execute as @s store result score @s pry run data get entity @s Pos[1] 10000
execute as @a[scores={pres_cd=0,rc=1}] at @s run execute as @s store result score @s prz run data get entity @s Pos[2] 10000

execute as @a[scores={pres_cd=0,rc=1}] at @s run execute as @e[tag=pres_init,limit=1,sort=nearest] at @s store result score @s prx run data get entity @s Pos[0] 10000
execute as @a[scores={pres_cd=0,rc=1}] at @s run execute as @e[tag=pres_init,limit=1,sort=nearest] at @s store result score @s pry run data get entity @s Pos[1] 10000
execute as @a[scores={pres_cd=0,rc=1}] at @s run execute as @e[tag=pres_init,limit=1,sort=nearest] at @s store result score @s prz run data get entity @s Pos[2] 10000

execute as @a[scores={pres_cd=0,rc=1}] at @s run scoreboard players operation @s prx -= @e[tag=pres_init,limit=1,sort=nearest] prx
execute as @a[scores={pres_cd=0,rc=1}] at @s run scoreboard players operation @s pry -= @e[tag=pres_init,limit=1,sort=nearest] pry
execute as @a[scores={pres_cd=0,rc=1}] at @s run scoreboard players add @s pry 20
execute as @a[scores={pres_cd=0,rc=1}] at @s run scoreboard players operation @s prz -= @e[tag=pres_init,limit=1,sort=nearest] prz

execute as @a[scores={pres_cd=0,rc=1}] at @s run execute store result entity @e[tag=pres_init,limit=1,sort=nearest] Motion[0] double 0.025 run scoreboard players get @s prx
execute as @a[scores={pres_cd=0,rc=1}] at @s run execute store result entity @e[tag=pres_init,limit=1,sort=nearest] Motion[1] double 0.025 run scoreboard players get @s pry
execute as @a[scores={pres_cd=0,rc=1}] at @s run execute store result entity @e[tag=pres_init,limit=1,sort=nearest] Motion[2] double 0.025 run scoreboard players get @s prz

tag @e[tag=pres_init] remove pres_init

execute as @e[tag=pres,nbt={OnGround:1b}] at @s run particle large_smoke ~ ~ ~ 0.3 0.6 0.3 0.05 5 force
execute as @e[tag=pres,nbt={OnGround:1b}] at @s run summon creeper ~ ~ ~ {Fuse:0}
kill @e[tag=pres,nbt={OnGround:1b}]

scoreboard players set @a[scores={pres_cd=0,rc=1}] pres_cd 30



effect give @a[scores={santa=1}] strength 2 2 true
effect give @a[scores={santa=1}] resistance 2 2 true


scoreboard players add @a blizzard 0
scoreboard players remove @a[scores={blizzard=1..}] blizzard 1
scoreboard players set @a[scores={rc=1},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Blizzard\"}"}}}}] blizzard 10

execute at @a[scores={blizzard=2..}] run fill ~3 ~3 ~3 ~-3 ~-3 ~-3 ice replace water 
execute at @a[scores={blizzard=2..}] run scoreboard players set @e[scores={ET=1..2},distance=..5] frozen 100
execute at @a[scores={blizzard=2..}] run particle poof ~ ~2 ~ 5 5 5 0.1 10 force
execute at @a[scores={blizzard=2..}] run particle dust 1 1 1 1 ~ ~2 ~ 5 5 5 0.1 30 force

scoreboard players remove @e[scores={frozen=1..}] frozen 1
execute as @e[scores={frozen=1..}] at @s run particle block ice ~ ~0.7 ~ 0.4 0.4 0.4 0.06 2 force
execute as @e[scores={frozen=1..}] at @s run data merge entity @s {Motion:[0.0,0.0,0.0]}



scoreboard players add @a nod_timer1 0
scoreboard players set @a[x_rotation=10..30] nod_timer1 20
scoreboard players remove @a[scores={nod_timer1=1..}] nod_timer1 1

scoreboard players add @a nod_timer2 0
scoreboard players set @a[x_rotation=-30..-10] nod_timer2 20
scoreboard players remove @a[scores={nod_timer2=1..}] nod_timer2 1

tag @a[scores={nod_timer1=19..,nod_timer2=1..,santa=1..}] add nod
execute as @a[tag=nod] at @s positioned ^ ^ ^3 run tag @e[scores={ET=1..2},distance=..2,limit=1,sort=nearest,type=!ocelot,type=!villager,tag=!grinch,tag=!elf,tag=!sleigh_horse] add catted
scoreboard players set @a[tag=nod] nod_timer1 0
scoreboard players set @a[tag=nod] nod_timer2 0
tag @a remove nod

execute as @e[tag=catted] at @s run particle heart ~ ~0.5 ~ 0.3 0.3 0.3 0.1 5 force
execute as @e[tag=catted] at @s run summon ocelot ~ ~ ~ 
execute as @e[tag=catted] at @s run data merge entity @s {DeathTime:19,Health:0}



scoreboard players add @a tel_cd 0
scoreboard players remove @a[scores={tel_cd=1..}] tel_cd 1

scoreboard players set @a[scores={tel_cd=0,rc=1},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Teleport\"}"}}}}] tel_cd 20

execute as @a[scores={tel_cd=20}] at @s positioned ^ ^ ^15 run summon armor_stand ~ ~ ~ {Tags:[tel_as],NoGravity:1,Invisible:1,Marker:1}
execute as @a[scores={tel_cd=20}] at @s run execute as @e[tag=tel_as] at @s run spreadplayers ~ ~ 0 1 false @s
execute as @a[scores={tel_cd=20}] at @s run execute at @e[tag=tel_as] run tp @s ~ ~ ~ 
execute as @a[scores={tel_cd=20}] at @s run kill @e[tag=tel_as]
execute as @a[scores={tel_cd=20}] at @s run playsound minecraft:entity.enderman.teleport master @a



################################################################# General ################################################################


scoreboard players set @a talk 0
scoreboard players set @a sneak 0
scoreboard players set @a jump 0
scoreboard players set @a rc 0



